  INPUT INSTRUCTIONS------------------91.115-------------------31 Oct 94  instr.3   
                                                                          instr.4   
  These input instructions were extracted from the NJOY 91                instr.5   
  source file using upd and upuser.  In order to allow easy               instr.6   
  searching with a text editor, keyword strings of the form               instr.7   
  <<module description" and "<<module input" were inserted.               instr.8   
                                                                          instr.9   
                                                                          instr.10  
    <<njoy description                                                    instr.11  
c     ******************************************************************   njoy.5   
c     *                                                                *   njoy.6   
c     *    njoy nuclear cross section processing system                *   njoy.7   
c     *       version 91.0 -- 15 jan 91                                *   njoy.8   
c     *                                                                *   njoy.9   
c     ******************************************************************   njoy.10  
c     *                                                                *   njoy.11  
c     * njoy is a system of processing modules intended to convert     *   njoy.12  
c     * evaluated nuclear data in the endf format into forms useful    *   njoy.13  
c     * for practical applications.                                    *   njoy.14  
c     *                                                                *   njoy.15  
c     * reconr...reconstruct pointwise cross sections from endf/b      *   njoy.16  
c     *     resonance parameters and interpolation schemes.            *   njoy.17  
c     *                                                                *   njoy.18  
c     * broadr...doppler broaden and thin pointwise cross sections.    *   njoy.19  
c     *                                                                *   njoy.20  
c     * unresr...compute effective pointwise self-shielded cross       *   njoy.21  
c     *     sections in the unresolved energy range.                   *   njoy.22  
c     *                                                                *   njoy.23  
c     * heatr...compute heat production cross sections (kerma)         *   njoy.24  
c     *     and damage energy production.                              *   njoy.25  
c     *                                                                *   njoy.26  
c     * thermr...generate neutron scattering cross sections and        *   njoy.27  
c     *     point-to-point scattering kernels in the thermal range     *   njoy.28  
c     *     for free or bound atoms.                                   *   njoy.29  
c     *                                                                *   njoy.30  
c     * groupr...generate self-shielded multigroup cross sections and  *   njoy.31  
c     *     group-to-group scattering and photon production matrices.  *   njoy.32  
c     *                                                                *   njoy.33  
c     * gaminr...compute multigroup photon interaction cross sections, *   njoy.34  
c     *     scattering matrices, and heat production.                  *   njoy.35  
c     *                                                                *   njoy.36  
c     * errorr...construct multigroup covariance matrices.             *   njoy.37  
c     *                                                                *   njoy.38  
c     * covr...process covariance data from errorr                     *   njoy.39  
c     *                                                                *   njoy.40  
c     * moder...convert between endf/b standard coded mode and the     *   njoy.41  
c     *     njoy blocked binary mode.                                  *   njoy.42  
c     *                                                                *   njoy.43  
c     * dtfr...output and plot multigroup data for discrete ordinates  *   njoy.44  
c     *     transport codes.                                           *   njoy.45  
c     *                                                                *   njoy.46  
c     * ccccr...format multigroup data into the cccc standard          *   njoy.47  
c     *     interface files isotxs, brkoxs, and dlayxs.                *   njoy.48  
c     *                                                                *   njoy.49  
c     * matxsr...convert multigroup data into the comprehensive matxs  *   njoy.50  
c     *     cross section interface format.                            *   njoy.51  
c     *                                                                *   njoy.52  
c     * resxsr...prepare a cccc-like file of pointwise resonance       *   njoy.53  
c     *     cross sections for thermal flux calculations               *   njoy.54  
c     *                                                                *   njoy.55  
c     * acer...prepare library for the los alamos continuous energy    *   njoy.56  
c     *     monte-carlo code mcnp.                                     *   njoy.57  
c     *                                                                *   njoy.58  
c     * powr...convert multigroup data into libraries for the thermal  *   njoy.59  
c     *     powr reactor codes epri-cell and epri-cpm.                 *   njoy.60  
c     *                                                                *   njoy.61  
c     * wimsr...convert multigroup data into libraries for the         *   njoy.62  
c     *     reactor assembly codes wims-d or wims-e.                   *   njoy.63  
c     *                                                                *   njoy.64  
c     * plotr...plot endf, pendf, gendf, or exp. cross sections,       *   njoy.65  
c     *     distributions, or matrices.                                *   njoy.66  
c     *                                                                *   njoy.67  
c     * mixr...mix file 3 cross sections (for example, to make         *   njoy.68  
c     *     elemental cross sections) for plotting, etc.               *   njoy.69  
c     *                                                                *   njoy.70  
c     * purr...generate unresolved-resonance probability tables        *   njoy.71  
c     *     for the mcnp monte carlo code                              *   njoy.72  
c     *                                                                *   njoy.73  
c     * each module is a separate segment or overlay.  the main        *   njoy.74  
c     * program controls the order in which modules are used and       *   njoy.75  
c     * contains the utility subroutines used by all modules.          *   njoy.76  
c     *                                                                *   njoy.77  
                                                                          instr.13  
    <<njoy input                                                          instr.14  
c     *---input specifications (free format)---------------------------*   njoy.78  
c     *                                                                *   njoy.79  
c     * card1       input option                                       *   njoy.80  
c     *    iopt     0 for card input and full output.                  *   njoy.81  
c     *             1 for terminal input with short output on terminal *   njoy.82  
c     * card2                                                          *   njoy.83  
c     *    iverf    endf/b version number (3 thru 6 only)              *   njoy.84  
c     * card 3                                                         *   njoy.85  
c     *    mopt     six character module name, e.g. reconr.            *   njoy.86  
c     *             only first four characters are actually used.  the *   njoy.87  
c     *             string may also be delimited by *, e.g., *reconr*. *   njoy.88  
c     *             repeat mopt for each module desired, and use       *   njoy.89  
c     *             stop or *stop* to terminate program.               *   njoy.90  
c     *                                                                *   njoy.91  
c     * see the comments at the start of each module for               *   njoy.92  
c     * its specific input instructions.                               *   njoy.93  
c     *                                                                *   njoy.94  
c     *--- code conversion --------------------------------------------*   njoy.95  
c     *                                                                *   njoy.96  
c     * code conversion is handled using the "*if" constructs of       *   njoy.97  
c     * the upd code (which is a code for maintaining fortran codes    *   njoy.98  
c     * similar to update).  the logical variables that can be         *   njoy.99  
c     * set are the following:                                         *   njoy.100 
c     *                                                                *   njoy.101 
c     *   sw  -- set for short-word machines (32 bit).  leave          *   njoy.102 
c     *             unset for 64 bit machines.                         *   njoy.103 
c     *                                                                *   njoy.104 
c     *   diss  -- set to activate disspla graphics.                   *   njoy.105 
c     *                                                                *   njoy.106 
c     ******************************************************************   njoy.107 
                                                                          instr.17  
    <<reconr description                                                  instr.18  
c     ****************************************************************** reconr.5   
c     *                                                                * reconr.6   
c     * reconstruct pointwise cross sections                           * reconr.7   
c     *                                                                * reconr.8   
c     * resonance cross sections are calculated using the methods of   * reconr.9   
c     * resend, with modifications to the method of generating the     * reconr.10  
c     * energy grid and the method of combining resonance and          * reconr.11  
c     * background cross sections.                                     * reconr.12  
c     *                                                                * reconr.13  
c     * this program generates an energy grid which is the union of    * reconr.14  
c     * an input grid (if any), the resonance energies (if any), and   * reconr.15  
c     * the energies of cross sections in mf3 and mf13 (or mf23).      * reconr.16  
c     * the pointwise cross sections are then computed on this grid    * reconr.17  
c     * and points are added so that the resonance cross sections and  * reconr.18  
c     * any cross sections represented by non-linear interpolation     * reconr.19  
c     * are reproduced within a specified tolerance by linear inter-   * reconr.20  
c     * polation.  psi-chi reconstruction can be used if desired.      * reconr.21  
c     * sections which are not cross sections (mu,nu) and photon       * reconr.22  
c     * multiplicities (mf12) are not processed.  redundant reactions  * reconr.23  
c     * are reconstructed to be the sum of their parts.  the pendf     * reconr.24  
c     * tape contains point cross sections in mf3 and mf13 (or mf23)   * reconr.25  
c     * and a description of the processing in mf1.  the mf1 diction-  * reconr.26  
c     * ary is updated.  the c1 and c2 fields of the second card in    * reconr.27  
c     * mf1 contain the temperature and reconstruction tolerance       * reconr.28  
c     * respectively.  an mf2 appropriate to no resonance parameters   * reconr.29  
c     * is constructed with the potential scattering length added.     * reconr.30  
c     *                                                                * reconr.31  
c     * if unresolved parameters are present, the infinitely dilute    * reconr.32  
c     * cross sections are computed on a special energy grid chosen    * reconr.33  
c     * to preserve the required interpolation properties.  this       * reconr.34  
c     * table is added to the pendf tape using a special format in     * reconr.35  
c     * mf2/mt152, and the table is also used to compute the           * reconr.36  
c     * uresolved contributions in mf3.  this allows resolved          * reconr.37  
c     * resonance cross sections which overlap the resolved range      * reconr.38  
c     * to be recovered by subtraction.                                * reconr.39  
c     *                                                                * reconr.40  
                                                                          instr.20  
    <<reconr input                                                        instr.21  
c     *---input specifications (free format)---------------------------* reconr.41  
c     *                                                                * reconr.42  
c     * card 1                                                         * reconr.43  
c     *    nendf    unit for endf/b tape                               * reconr.44  
c     *    npend    unit for pendf tape                                * reconr.45  
c     * card 2                                                         * reconr.46  
c     *    label    66 character label for new pendf tape              * reconr.47  
c     *             delimited with *, ended with /.                    * reconr.48  
c     * card 3                                                         * reconr.49  
c     *    mat      material to be reconstructed                       * reconr.50  
c     *    ncards   number of cards of descriptive data for new mf1    * reconr.51  
c     *             (default=0.)                                       * reconr.52  
c     *    ngrid    number of user energy grid points to be added.     * reconr.53  
c     *             (default=0.)                                       * reconr.54  
c     * card 4                                                         * reconr.55  
c     *    err      fractional reconstruction tolerance used when      * reconr.56  
c     *             resonance-integral error criterion (see errint)    * reconr.57  
c     *             is not satisfied.                                  * reconr.58  
c     *    tempr    reconstruction temperature (deg kelvin)            * reconr.59  
c     *             (default=0.)                                       * reconr.60  
c     *    ndigit   no. significant digits (default=7)                 * reconr.61  
c     *    errmax   fractional reconstruction tolerance used when      * reconr.62  
c     *             resonance-integral error criterion is satisfied    * reconr.63  
c     *             (errmax.ge.err, default=20.*err)                   * reconr.64  
c     *    errint   maximum resonance-integral error (in barns)        * reconr.65  
c     *             per grid point (default=err/10000)                 * reconr.66  
c     *             (note: the max cross section difference for        * reconr.67  
c     *              linearization, errlim, and for reconstruction,    * reconr.68  
c     *              errmin, are also tied to errint.  to get maximum  * reconr.69  
c     *              accuracy, set errint to a very small number.      * reconr.70  
c     *              for economical production, use the defaults.)     * reconr.71  
c     * card 5                                                         * reconr.72  
c     *    cards    ncards of descriptive comments for mt451           * reconr.73  
c     *             each card delimited with *, ended with /.          * reconr.74  
c     * card 6                                                         * reconr.75  
c     *    enode    users energy grid points                           * reconr.76  
c     *       cards 3, 4, 5, 6 must be input for each material desired * reconr.77  
c     *       mat=0/ terminates execution of reconr.                   * reconr.78  
c     *                                                                * reconr.79  
c     ****************************************************************** reconr.80  
                                                                          instr.24  
    <<broadr description                                                  instr.25  
c     ****************************************************************** broadr.5   
c     *                                                                * broadr.6   
c     * doppler broaden and thin neutron point cross sections          * broadr.7   
c     *                                                                * broadr.8   
c     * a modified version of the kernel broadening method developed   * broadr.9   
c     * for sigma1 (d.e.cullen, llnl) is used.  cross sections         * broadr.10  
c     * for low threshold reactions are unionized on the grid of the   * broadr.11  
c     * total cross section, then broadened and thinned in parallel.   * broadr.12  
c     * high threshold reactions are not broadened.  the total and     * broadr.13  
c     * and nonelastic are reconstructed to equal the sum of parts.    * broadr.14  
c     *                                                                * broadr.15  
c     * the output energy grid for broadened cross sections is         * broadr.16  
c     * constructed adaptively (as in reconr) so that the results      * broadr.17  
c     * represent the true function within the given tolerance.        * broadr.18  
c     * energy values are either removed from the original grid, or    * broadr.19  
c     * new values are added between the original points.  thus, a     * broadr.20  
c     * given energy range can have more or fewer points than the      * broadr.21  
c     * original energy grid.                                          * broadr.22  
c     *                                                                * broadr.23  
c     * for high temperatures and low energies where the original      * broadr.24  
c     * sigma1 breaks down, a new direct expansion of the doppler      * broadr.25  
c     * integral is used.                                              * broadr.26  
c     *                                                                * broadr.27  
c     * the results are written out in pendf format with each          * broadr.28  
c     * temperature represented as a different mat.  dictionaries      * broadr.29  
c     * are corrected to reflect the effects of thinning.              * broadr.30  
c     *                                                                * broadr.31  
                                                                          instr.27  
    <<broadr input                                                        instr.28  
c     *---input specifications (free format)---------------------------* broadr.32  
c     *                                                                * broadr.33  
c     * card 1                                                         * broadr.34  
c     *    nin      input pendf tape                                   * broadr.35  
c     *    nout     output pendf tape                                  * broadr.36  
c     * card 2                                                         * broadr.37  
c     *    mat1     material to be processed                           * broadr.38  
c     *    ntemp2   number of final temperatures (maximum=10)          * broadr.39  
c     *    istart   restart (0 no, 1 yes, default 0)                   * broadr.40  
c     *    istrap   bootstrap (0 no, 1 yes, default 0)                 * broadr.41  
c     *    temp1    starting temperature from nin (default=0.k)        * broadr.42  
c     * card 3                                                         * broadr.43  
c     *    errthn   fractional tolerance for thinning                  * broadr.44  
c     *    thnmax   max. energy for broadening and thinning            * broadr.45  
c     *             (default=1 mev)                                    * broadr.46  
c     *    errmax   fractional tolerance used when integral criterion  * broadr.47  
c     *             is satisfied (same usage as in reconr)             * broadr.48  
c     *             (errmax.ge.errthn, default=20*errthn)              * broadr.49  
c     *    errint   parameter to control integral thinning             * broadr.50  
c     *             (usage as in reconr) (default=errthn/10000)        * broadr.51  
c     *             set very small to turn of integral thinning.       * broadr.52  
c     *      (a good choice for the convergence parameters             * broadr.53  
c     *       errthn, errmax, and errint is the same set of            * broadr.54  
c     *       values used in reconr)                                   * broadr.55  
c     * card 4                                                         * broadr.56  
c     *    temp2    final temperatures (deg kelvin)                    * broadr.57  
c     * card 5                                                         * broadr.58  
c     *    mat1     next mat number to be processed with these         * broadr.59  
c     *             parameters.  terminate with mat1=0.                * broadr.60  
c     *                                                                * broadr.61  
c     *---input options------------------------------------------------* broadr.62  
c     *                                                                * broadr.63  
c     * the output tape will contain the ntemp2 final temperatures     * broadr.64  
c     * specified.  it is necessary to have temp1.le.temp2(1).         * broadr.65  
c     * if temp2.eq.temp1, the data will be thinned only.              * broadr.66  
c     *                                                                * broadr.67  
c     * restart    continue broadening an existing pendf tape.  all    * broadr.68  
c     *            temperatures are copied through temp1.  additional  * broadr.69  
c     *            final temperatures are added by starting with the   * broadr.70  
c     *            data at temp1.                                      * broadr.71  
c     *                                                                * broadr.72  
c     * bootstrap  if bootstrap is not requested, each final tempera-  * broadr.73  
c     *            ture is generated by broadening directly from       * broadr.74  
c     *            temp1 to temp2.  if bootstrap is requested, each    * broadr.75  
c     *            final temperature is broadened from the preceding   * broadr.76  
c     *            temperature.  this option is faster due to the      * broadr.77  
c     *            thinning in the previous step.  however, errors     * broadr.78  
c     *            accumulate.                                         * broadr.79  
c     *                                                                * broadr.80  
c     * thnmax     the upper limit for broadening and thinning is the  * broadr.81  
c     *            lowest of the input value of thnmax, the lowest     * broadr.82  
c     *            reaction threshold, or the start of the unresolved  * broadr.83  
c     *            range.  if there is resolved-unresolved overlap,    * broadr.84  
c     *            the overlap region is included in the broadening.   * broadr.85  
c     *            a negative value of thnmax will overide the         * broadr.86  
c     *            resolved and threshold limits.  This allows the     * broadr.87  
c     *            first few threshold reactions to be broadened if    * broadr.88  
c     *            desired.  the magnitude of thnmax must be chosen    * broadr.89  
c     *            to keep the number of broadenable reactions less    * broadr.90  
c     *            than or equal to the maximum of ntt (10).           * broadr.91  
c     *                                                                * broadr.92  
c     ****************************************************************** broadr.93  
                                                                          instr.31  
    <<unresr description                                                  instr.32  
c     ****************************************************************** unresr.5   
c     *                                                                * unresr.6   
c     * compute unresolved resonance cross-sections                    * unresr.7   
c     *                                                                * unresr.8   
c     * the method of etox is used to compute self-shielded            * unresr.9   
c     * unresolved resonance cross-sections on the energy grid of      * unresr.10  
c     * the unresolved parameters.  subsequent interpolation is        * unresr.11  
c     * to be on the cross-sections and not on the parameters.         * unresr.12  
c     * additional energy grid points are added at quarter lethargy    * unresr.13  
c     * intervals if only three or fewer grid points are found.        * unresr.14  
c     * the accurate hwang quadrature set is used for the integrals.   * unresr.15  
c     *                                                                * unresr.16  
                                                                          instr.34  
    <<unresr input                                                        instr.35  
c     *---input specifications (free format)---------------------------* unresr.17  
c     *                                                                * unresr.18  
c     * card 1                                                         * unresr.19  
c     *   nendf   unit for endf/b tape                                 * unresr.20  
c     *   nin     unit for input pendf tape                            * unresr.21  
c     *   nout    unit for output pendf tape                           * unresr.22  
c     * card 2                                                         * unresr.23  
c     *   matd    material to be processed                             * unresr.24  
c     *   ntemp   no. of temperatures (max. no. allowed=9)             * unresr.25  
c     *   nsigz   no. of sigma zeroes (max. no. allowed=8)             * unresr.26  
c     *   iprint  print option (0=min, 1=max) (default=0)              * unresr.27  
c     * card 3                                                         * unresr.28  
c     *   temp    temperatures in kelvin (including zero)              * unresr.29  
c     * card 4                                                         * unresr.30  
c     *   sigz    sigma zero values (including infinity)               * unresr.31  
c     *       cards 2, 3, 4 must be input for each material desired    * unresr.32  
c     *       matd=0/ terminates execution of unresr.                  * unresr.33  
c     *                                                                * unresr.34  
c     ****************************************************************** unresr.35  
                                                                          instr.38  
    <<heatr description                                                   instr.39  
c     ******************************************************************  heatr.5   
c     *                                                                *  heatr.6   
c     * compute heating kerma (kinetic energy release in material)     *  heatr.7   
c     * and radiation damage energy production                         *  heatr.8   
c     *                                                                *  heatr.9   
c     * the prompt kerma is computed pointwise on the grid of the      *  heatr.10  
c     * total cross section from the input pendf tape and written      *  heatr.11  
c     * onto the output pendf tape at infinite dilution using the      *  heatr.12  
c     * 300 series of mt numbers.  all temperatures on the input pendf *  heatr.13  
c     * tape for the desired material are processed.  the dictionary   *  heatr.14  
c     * is revised.  reaction q values are obtained from the endf/b    *  heatr.15  
c     * tape unless the user enters his own value.  partial kermas     *  heatr.16  
c     * can be requested for self-shielding calculations or other      *  heatr.17  
c     * purposes.  the code uses the energy balance method where       *  heatr.18  
c     * photon files are available and deposits all photon energy      *  heatr.19  
c     * locally when files are not available.  this assures            *  heatr.20  
c     * consistency between neutron heating and energy deposition by   *  heatr.21  
c     * subsequent photon interactions.  an exception is made for      *  heatr.22  
c     * capture where recoil is computed by momentum conservation.     *  heatr.23  
c     * photon files are used to estimate the average photon momentum  *  heatr.24  
c     * when available.  a diagnostic message is printed if the        *  heatr.25  
c     * momentum calculation leads to a significant error in           *  heatr.26  
c     * energy conservation.                                           *  heatr.27  
c     *                                                                *  heatr.28  
c     * if desired, the energy-balance kerma factors can be compared   *  heatr.29  
c     * with conservative kinematic limits (set iprint=2).             *  heatr.30  
c     *                                                                *  heatr.31  
c     * damage energy is computed using the lindhard electronic        *  heatr.32  
c     * screening damage function with a 25 ev displacement            *  heatr.33  
c     * threshold.                                                     *  heatr.34  
c     *                                                                *  heatr.35  
                                                                          instr.41  
    <<heatr input                                                         instr.42  
c     *---input specifications (free format)---------------------------*  heatr.36  
c     *                                                                *  heatr.37  
c     * card 1                                                         *  heatr.38  
c     *    nendf    unit for endf/b tape                               *  heatr.39  
c     *    nin      unit for input pendf tape                          *  heatr.40  
c     *    nout     unit for output pendf tape                         *  heatr.41  
c     * card 2                                                         *  heatr.42  
c     *    matd     material to be processed                           *  heatr.43  
c     *    npk      number of partial kermas desired (default=0)       *  heatr.44  
c     *    nqa      number of user q values (default=0)                *  heatr.45  
c     *    ntemp    number of temperatures to process                  *  heatr.46  
c     *             (default=0, meaning all on pendf)                  *  heatr.47  
c     *    local    0/1=gamma rays transported/deposited locally       *  heatr.48  
c     *             (default=0)                                        *  heatr.49  
c     *    iprint   print (0 min, 1 max, 2 check) (default=0)          *  heatr.50  
c     * card 3      for npk gt 0 only                                  *  heatr.51  
c     *    mtk      mt numbers for partial kermas desired              *  heatr.52  
c     *             total (mt301) will be provided automatically.      *  heatr.53  
c     *             partial kerma for reaction mt is mt+300            *  heatr.54  
c     *             and may not be properly defined unless             *  heatr.55  
c     *             a gamma file for mt is on endf tape.               *  heatr.56  
c     *             special values allowed--                           *  heatr.57  
c     *               303   non-elastic (all but mt2)                  *  heatr.58  
c     *               304   inelastic (mt51 thru 91)                   *  heatr.59  
c     *               318   fission (mt18 or mt19, 20, 21, 38)         *  heatr.60  
c     *               401   disappearance (mt102 thru 120)             *  heatr.61  
c     *               443   total kinematic kerma (high limit)         *  heatr.62  
c     *             damage energy production values--                  *  heatr.63  
c     *               444   total                                      *  heatr.64  
c     *               445   elastic (mt2)                              *  heatr.65  
c     *               446   inelastic (mt51 thru 91)                   *  heatr.66  
c     *               447   disappearance (mt102 thru 120)             *  heatr.67  
c     *          cards 4 and 5 for nqa gt 0 only                       *  heatr.68  
c     * card 4                                                         *  heatr.69  
c     *    mta      mt numbers for users q values                      *  heatr.70  
c     * card 5                                                         *  heatr.71  
c     *    qa       user specified q values (ev)                       *  heatr.72  
c     *               (if qa.ge.99.e6, read in variable qbar           *  heatr.73  
c     *                  for this reaction)                            *  heatr.74  
c     * card 5a     variable qbar (for reactions with qa flag only)    *  heatr.75  
c     *    qbar      tab1 record giving qbar versus e (1000 words max) *  heatr.76  
c     *                                                                *  heatr.77  
c     ******************************************************************  heatr.78  
                                                                          instr.45  
    <<thermr description                                                  instr.46  
c     ****************************************************************** thermr.5   
c     *                                                                * thermr.6   
c     *  generate neutron scattering cross sections and point-to-point * thermr.7   
c     *  scattering kernels in the thermal range                       * thermr.8   
c     *                                                                * thermr.9   
c     *  add pointwise scattering cross sections and scattering        * thermr.10  
c     *  matrices to an existing pendf tape.  cross sections are       * thermr.11  
c     *  added to mf3 and matrices are written in mf6 (using a         * thermr.12  
c     *  modified format).  both using mtref for inelastic and         * thermr.13  
c     *  mtref+1 for elastic (if any).                                 * thermr.14  
c     *                                                                * thermr.15  
c     *  multiple scattering types (ie, h free and h in h2o) can be    * thermr.16  
c     *  written on one pendf tape by using different values of mtref  * thermr.17  
c     *  for each thermr run.  if data for one mtref is already on     * thermr.18  
c     *  the tape, it will be replaced with the new cross sections.    * thermr.19  
c     *  the energy grid for coherent scattering is determined         * thermr.20  
c     *  adaptively so as to represent the sharp bragg edges to        * thermr.21  
c     *  a specified tolerance using linear interpolation.  the        * thermr.22  
c     *  secondary energy grid for inelastic scattering is also deter- * thermr.23  
c     *  mined adaptively.  angular dependence is represented as       * thermr.24  
c     *  equally probable cosines.  the initial energy grid is wired in* thermr.25  
c     *  (see egrid in calcem).  a special projection interpolation    * thermr.26  
c     *  scheme is used in groupr to integrate this relatively         * thermr.27  
c     *  coarse grid.                                                  * thermr.28  
c     *                                                                * thermr.29  
c     *  current capabilities...                                       * thermr.30  
c     *     1.)  compute free-gas scattering matrices and normalize    * thermr.31  
c     *          to the elastic cross section on the old pendf tape.   * thermr.32  
c     *     2.)  compute incoherent matrices from read-in              * thermr.33  
c     *          s(alpha,beta) data.                                   * thermr.34  
c     *     3.)  compute coherent scattering from hexagonal lattices.  * thermr.35  
c     *     4.)  compute incoherent elastic scattering.                * thermr.36  
c     *                                                                * thermr.37  
c     *  for endf 3 to 5 formats, the constants used for coherent      * thermr.38  
c     *  elastic, incoherent elastic, and short-collision-time calcu-  * thermr.39  
c     *  lations are obtained from internal data statements based on   * thermr.40  
c     *  the original general atomic report on the evaluations         * thermr.41  
c     *  (ga-8774 revised, endf-269, july 1978).                       * thermr.42  
c     *                                                                * thermr.43  
c     *  for endf6 format libraries, these constants are included      * thermr.44  
c     *  in the format.                                                * thermr.45  
c     *                                                                * thermr.46  
                                                                          instr.48  
    <<thermr input                                                        instr.49  
c     *---input specifications (free format)---------------------------* thermr.47  
c     *                                                                * thermr.48  
c     *  card 1                                                        * thermr.49  
c     *     nendf      endf/b tape for mf7 data                        * thermr.50  
c     *     nin        old pendf tape                                  * thermr.51  
c     *     nout       new pendf tape                                  * thermr.52  
c     *  card 2                                                        * thermr.53  
c     *     matde      material desired on endf tape                   * thermr.54  
c     *     matdp      material desired on pendf tape                  * thermr.55  
c     *     nbin       number of equi-probable angles                  * thermr.56  
c     *     ntemp      number of temperatures                          * thermr.57  
c     *     iinc       inelastic options                               * thermr.58  
c     *                   0     none                                   * thermr.59  
c     *                   1     compute as free gas                    * thermr.60  
c     *                   2     reserved                               * thermr.61  
c     *                   3     reserved                               * thermr.62  
c     *                   4     read s(a,b) and compute matrix         * thermr.63  
c     *     icoh       elastic options                                 * thermr.64  
c     *                   0     none                                   * thermr.65  
c     *                   1     graphite                               * thermr.66  
c     *                   2     beryllium                              * thermr.67  
c     *                   3     beryllium oxide                        * thermr.68  
c     *                  11     polyethylene                           * thermr.69  
c     *                  12     h(zrh)                                 * thermr.70  
c     *                  13     zr(zrh)                                * thermr.71  
c     *     natom      number of principal atoms                       * thermr.72  
c     *     mtref      mt for inelastic reaction (201-250 only)        * thermr.73  
c     *     iprint     print option (0=minimum, 1=maximum,             * thermr.74  
c     *                2=max. normal + intermediate results)           * thermr.75  
c     *                (default=0)                                     * thermr.76  
c     *  card 3                                                        * thermr.77  
c     *     tempr      temperatures (kelvin)                           * thermr.78  
c     *  card 4                                                        * thermr.79  
c     *     tol        tolerance                                       * thermr.80  
c     *     emax       maximum energy for thermal treatment            * thermr.81  
c     *                (for temperatures greater than 3000,            * thermr.82  
c     *                emax and the energy grid are scaled by          * thermr.83  
c     *                temp/300.  free gas only.)                      * thermr.84  
c     *                                                                * thermr.85  
c     ****************************************************************** thermr.86  
                                                                          instr.52  
    <<groupr description                                                  instr.53  
c     ****************************************************************** groupr.5   
c     *                                                                * groupr.6   
c     * compute self-shielded group-averaged cross sections            * groupr.7   
c     *                                                                * groupr.8   
c     * produces self-shielded cross sections, neutron scattering      * groupr.9   
c     * matrices, and photon production matrices.  scattering and      * groupr.10  
c     * photon matrices may be self-shielded if desired (see init).    * groupr.11  
c     * bondarenko weighting is normally used.   optionally, the flux  * groupr.12  
c     * can be computed for an infinite mixture of heavy absorber      * groupr.13  
c     * and light moderator.  delayed neutron data and thermal         * groupr.14  
c     * scattering matrices are handled specially.                     * groupr.15  
c     *                                                                * groupr.16  
c     * the integration over initial energy is handled in the same     * groupr.17  
c     * way for all reaction types by using the integrand              * groupr.18  
c     *                   feed*xsec*flux                   .           * groupr.19  
c     * feed is the source into final energy group gprime and          * groupr.20  
c     * legendre order l from initial energy e (see getff).  for       * groupr.21  
c     * vectors, the feed is 1. or a yield (nubar, mubar).  for two    * groupr.22  
c     * body scattering, a center-of-mass gaussian integration is used * groupr.23  
c     * to obtain accurate results even for small legendre components  * groupr.24  
c     * of the group-to-group scattering.  additional initial energy   * groupr.25  
c     * quadrature points are added to integrate the known polynomial  * groupr.26  
c     * order of this feed function.  feed for tabulated continuum     * groupr.27  
c     * reactions is computed exactly on the endf/b grid points and    * groupr.28  
c     * then interpolated at e.  a special projection interpolation    * groupr.29  
c     * scheme is used for thermal matrices (see getaed).  the feed    * groupr.30  
c     * for analytic continuum reactions is exact.                     * groupr.31  
c     *                                                                * groupr.32  
                                                                          instr.55  
    <<groupr input                                                        instr.56  
c     *---input specifications (free format)---------------------------* groupr.33  
c     *                                                                * groupr.34  
c     * card1                                                          * groupr.35  
c     *    nendf   unit for endf/b tape                                * groupr.36  
c     *    npend   unit for pendf tape                                 * groupr.37  
c     *    ngout1  unit for input gout tape (default=0)                * groupr.38  
c     *    ngout2  unit for output gout tape (default=0)               * groupr.39  
c     * card2                                                          * groupr.40  
c     *    matb    material to be processed                            * groupr.41  
c     *            matb lt 0 is a flag to add mts to and/or replace    * groupr.42  
c     *            individual mts on ngout1.                           * groupr.43  
c     *    ign     neutron group structure option                      * groupr.44  
c     *    igg     gamma group structure option                        * groupr.45  
c     *    iwt     weight function option                              * groupr.46  
c     *    lord    legendre order                                      * groupr.47  
c     *    ntemp   number of temperatures                              * groupr.48  
c     *    nsigz   number of sigma zeroes                              * groupr.49  
c     *    iprint  long print option (0/1=minimum/maximum)             * groupr.50  
c     *            (default=1)                                         * groupr.51  
c     * card3                                                          * groupr.52  
c     *    title   run label (up to 80 characters delimited by *,      * groupr.53  
c     *            ended with /)  (default=blank)                      * groupr.54  
c     * card4                                                          * groupr.55  
c     *    temp    temperatures in kelvin                              * groupr.56  
c     * card5                                                          * groupr.57  
c     *    sigz    sigma zero values (including infinity)              * groupr.58  
c     *                                                                * groupr.59  
c     *          if ign=1, read neutron group structure (6a and 6b)    * groupr.60  
c     * card6a                                                         * groupr.61  
c     *    ngn     number of groups                                    * groupr.62  
c     * card6b                                                         * groupr.63  
c     *    egn     ngn+1 group breaks (ev)                             * groupr.64  
c     *                                                                * groupr.65  
c     *          if igg=1, read gamma group structure (7a and 7b)      * groupr.66  
c     * card7a                                                         * groupr.67  
c     *    ngg     number of groups                                    * groupr.68  
c     * card7b                                                         * groupr.69  
c     *    egg     ngg+1 group breaks (ev)                             * groupr.70  
c     *                                                                * groupr.71  
c     *          weight function options (8a,8b,8c,8d)                 * groupr.72  
c     * card8a     flux calculator parameters (iwt.lt.0 only)          * groupr.73  
c     *    ehi     break between computed flux and bondarenko flux     * groupr.74  
c     *                (must be in resolved range)                     * groupr.75  
c     *    sigpot  estimate of potential scattering cross section      * groupr.76  
c     *    nflmax  maximum number of computed flux points              * groupr.77  
c     *    ninwt   tape unit for new flux parameters (default=0)       * groupr.78  
c     *    jsigz   index of reference sigma zero in sigz array         * groupr.79  
c     *            (default=0)                                         * groupr.80  
c     *    alpha2   alpha for admixed moderator (def=o=none)           * groupr.81  
c     *    sam      admixed moderator xsec in barns per absorber       * groupr.82  
c     *             atom (def=0=none)                                  * groupr.83  
c     *    beta     heterogeniety parameter (def=0=none)               * groupr.84  
c     *    alpha3   alpha for external moderator (def=0=none)          * groupr.85  
c     *    gamma    fraction of admixed moderator cross section in     * groupr.86  
c     *              external moderator cross section (def=0)          * groupr.87  
c     * card8b     tabulated (iwt=1 or -1 only)                        * groupr.88  
c     *    wght    read weight function as tab1 record.                * groupr.89  
c     *            end with a /.                                       * groupr.90  
c     * card8c     analytic flux parameters (iwt=4 or -4 only)         * groupr.91  
c     *    eb      thermal break (ev)                                  * groupr.92  
c     *    tb      thermal temperature (ev)                            * groupr.93  
c     *    ec      fission break (ev)                                  * groupr.94  
c     *    tc      fission temperature (ev)                            * groupr.95  
c     * card8d     input resonance flux (iwt=0 only)                   * groupr.96  
c     *    ninwt   tape unit for flux parameters                       * groupr.97  
c     *                                                                * groupr.98  
c     * card9                                                          * groupr.99  
c     *    mfd     file to be processed                                * groupr.100 
c     *    mtd     section to be processed                             * groupr.101 
c     *    mtname  description of section to be processed              * groupr.102 
c     *          repeat for all reactions desired                      * groupr.103 
c     *          mfd=0/ terminates this temperature/material.          * groupr.104 
c     * card10                                                         * groupr.105 
c     *    matd    next mat number to be processed                     * groupr.106 
c     *            matd=0/ terminates groupr run.                      * groupr.107 
c     *                                                                * groupr.108 
c     *---options for input variables----------------------------------* groupr.109 
c     *                                                                * groupr.110 
c     *     ign          meaning                                       * groupr.111 
c     *     ---          -------                                       * groupr.112 
c     *      1           arbitrary structure (read in)                 * groupr.113 
c     *      2           csewg 239 group structure                     * groupr.114 
c     *      3           lanl 30 group structure                       * groupr.115 
c     *      4           anl 27 group structure                        * groupr.116 
c     *      5           rrd 50 group structure                        * groupr.117 
c     *      6           gam-i 68 group structure                      * groupr.118 
c     *      7           gam-ii 100 group structure                    * groupr.119 
c     *      8           laser-thermos 35 group structure              * groupr.120 
c     *      9           epri-cpm 69 group structure                   * groupr.121 
c     *     10           lanl 187-group structure                      * groupr.122 
c     *     11           lanl 70-group structure                       * groupr.123 
c     *     12           sand-ii 620-group structure                   * groupr.124 
c     *     13           lanl 80-group structure                       * groupr.125 
c     *     14           eurlib 100-group structure                    * groupr.126 
c     *     15           sand-iia 640-group structure                  * groupr.127 
c     *     16           vitamin-e 174-group structure                 * groupr.128 
c     *     17           vitamin-j 175-group structure                 * groupr.129 
c     *                                                                * groupr.130 
c     *     igg          meaning                                       * groupr.131 
c     *     ---          -------                                       * groupr.132 
c     *      0           none                                          * groupr.133 
c     *      1           arbitrary structure (read in)                 * groupr.134 
c     *      2           csewg 94-group structure                      * groupr.135 
c     *      3           lanl 12-group structure                       * groupr.136 
c     *      4           steiner 21-group gamma-ray structure          * groupr.137 
c     *      5           straker 22-group structure                    * groupr.138 
c     *      6           lanl 48-group structure                       * groupr.139 
c     *      7           lanl 24-group structure                       * groupr.140 
c     *      8           vitamin-c 36-group structure                  * groupr.141 
c     *      9           vitamin-e 38-group structure                  * groupr.142 
c     *                                                                * groupr.143 
c     *     iwt          meaning                                       * groupr.144 
c     *     ---          -------                                       * groupr.145 
c     *      1           read in smooth weight function                * groupr.146 
c     *      2           constant                                      * groupr.147 
c     *      3           1/e                                           * groupr.148 
c     *      4           1/e + fission spectrum + thermal maxwellian   * groupr.149 
c     *      5           epri-cell lwr                                 * groupr.150 
c     *      6           (thermal) -- (1/e) -- (fission + fusion)      * groupr.151 
c     *      7           fast reactor                                  * groupr.152 
c     *      8           thermal--1/e--fast reactor--fission + fusion  * groupr.153 
c     *      9           claw weight function                          * groupr.154 
c     *     10           claw with t-dependent thermal part            * groupr.155 
c     *     11           vitamin-e weight function (ornl-5505)         * groupr.156 
c     *     -n           compute flux with weight n                    * groupr.157 
c     *      0           read in resonance flux from ninwt             * groupr.158 
c     *                                                                * groupr.159 
c     *     mfd          meaning                                       * groupr.160 
c     *     ---          -------                                       * groupr.161 
c     *      3           cross section or yield vector                 * groupr.162 
c     *      5           fission chi by short-cut method               * groupr.163 
c     *      6           neutron-neutron matrix (mf4/5)                * groupr.164 
c     *      8           neutron-neutron matrix (mf6)                  * groupr.165 
c     *     12           photon prod. xsec (photon yields given, mf12) * groupr.166 
c     *     13           photon prod. xsec (photon xsecs given, mf13)  * groupr.167 
c     *     16           neutron-gamma matrix (photon yields given)    * groupr.168 
c     *     17           neutron-gamma matrix (photon xsecs given)     * groupr.169 
c     *     18           neutron-gamma matrix (mf6)                    * groupr.170 
c     *         note: if necessary, mfd=13 will automatically change   * groupr.171 
c     *         to 12 and mfd=16 will automatically change to 17 or 18.* groupr.172 
c     *     21           proton production matrix (mf6)                * groupr.173 
c     *     22           deuteron production (mf6)                     * groupr.174 
c     *     23           triton production (mf6)                       * groupr.175 
c     *     24           he-3 production (mf6)                         * groupr.176 
c     *     25           alpha production (mf6)                        * groupr.177 
c     *     26           residual nucleus (a>4) production (mf6)       * groupr.178 
c     *     31           proton production matrix (mf4)                * groupr.179 
c     *     32           deuteron production (mf4)                     * groupr.180 
c     *     33           triton production (mf4)                       * groupr.181 
c     *     34           he-3 production (mf4)                         * groupr.182 
c     *     35           alpha production (mf4)                        * groupr.183 
c     *     36           residual nucleus (a>4) production (mf4)       * groupr.184 
c     *          note: if necessary, mfd=21-26 will                    * groupr.185 
c     *          automatically change to 31-36.                        * groupr.186 
c     *     90+n         radioactive nuclide production from nth       * groupr.187 
c     *                   subsection for mtd in file 9.                * groupr.188 
c     *    100+n         radioactive nuclide production from nth       * groupr.189 
c     *                   subsection for mtd in file 10.               * groupr.190 
c     *                                                                * groupr.191 
c     *     mtd          meaning                                       * groupr.192 
c     *     ---          -------                                       * groupr.193 
c     *     -n           process all mt numbers from the previous      * groupr.194 
c     *                          entry to n inclusive                  * groupr.195 
c     *     221-250      reserved for thermal scattering               * groupr.196 
c     *     258          average lethargy                              * groupr.197 
c     *     259          average inverse velocity (m/sec)              * groupr.198 
c     *                                                                * groupr.199 
c     *     automatic reaction processing options                      * groupr.200 
c     *     -------------------------------------                      * groupr.201 
c     *        3/        do all reactions in file3 on input pendf      * groupr.202 
c     *        6/        do all matrix reactions in endf dictionary    * groupr.203 
c     *       13/        do all photon production cross sections       * groupr.204 
c     *       16/        do all photon production matrices             * groupr.205 
c     *       21/        do all proton production matrices             * groupr.206 
c     *       22/        do all deuteron production matrices           * groupr.207 
c     *       23/        do all triton production matrices             * groupr.208 
c     *       24/        do all he-3 production matrices               * groupr.209 
c     *       25/        do all alpha production matrices              * groupr.210 
c     *       26/        do all a>4 production matrices                * groupr.211 
c     *                                                                * groupr.212 
c     ****************************************************************** groupr.213 
                                                                          instr.59  
    <<gaminr description                                                  instr.60  
c     ****************************************************************** gaminr.5   
c     *                                                                * gaminr.6   
c     * compute multigroup photon cross sections                       * gaminr.7   
c     *                                                                * gaminr.8   
c     * produce multigroup photon interaction cross sections           * gaminr.9   
c     * and heating kerma factors using endf/b cross sections          * gaminr.10  
c     * and coherent and incoherent form factors.  initial energy      * gaminr.11  
c     * quadrature techiques are identical to those used in groupr.    * gaminr.12  
c     * secondary energy-angle quadrature is performed using gaussian  * gaminr.13  
c     * integration.                                                   * gaminr.14  
c     *                                                                * gaminr.15  
                                                                          instr.62  
    <<gaminr input                                                        instr.63  
c     *---input specifications (free format)---------------------------* gaminr.16  
c     *                                                                * gaminr.17  
c     * card1                                                          * gaminr.18  
c     *    nendf   unit for endf/b tape                                * gaminr.19  
c     *    npend   unit for pendf tape                                 * gaminr.20  
c     *    ngam1   unit for input ngam tape (default=0)                * gaminr.21  
c     *    ngam2   unit for output ngam tape (default=0)               * gaminr.22  
c     * card2                                                          * gaminr.23  
c     *    matb    material to be processed                            * gaminr.24  
c     *            input materials in ascending order                  * gaminr.25  
c     *    igg     gamma group structure option                        * gaminr.26  
c     *    iwt     weight function option                              * gaminr.27  
c     *    lord    legendre order                                      * gaminr.28  
c     *    iprint  print option (0/1=minimum/maximum) (default=1)      * gaminr.29  
c     * card3                                                          * gaminr.30  
c     *    title   run label up to 80 characters (delimited by *,      * gaminr.31  
c     *            ended with /)                                       * gaminr.32  
c     * card4      (igg=1 only)                                        * gaminr.33  
c     *    ngg     number of groups                                    * gaminr.34  
c     *    egg     ngg+1 group bounds (ev)                             * gaminr.35  
c     * card5      (iwt=1 only)                                        * gaminr.36  
c     *    wght    weight function as tab1 record                      * gaminr.37  
c     * card6                                                          * gaminr.38  
c     *    mfd     file to be processed                                * gaminr.39  
c     *    mtd     section to be processed                             * gaminr.40  
c     *    mtname  description of section to be processed              * gaminr.41  
c     *            repeat for all reactions desired                    * gaminr.42  
c     *            mfd=0/ terminates this material                     * gaminr.43  
c     *            mfd=-1/ is a flag to process all sections present   * gaminr.44  
c     *            for this material  (termination is automatic)       * gaminr.45  
c     * card7                                                          * gaminr.46  
c     *    matd    next mat number to be processed                     * gaminr.47  
c     *            terminate gaminr run with matd=0.                   * gaminr.48  
c     *                                                                * gaminr.49  
c     *---options for input variables----------------------------------* gaminr.50  
c     *                                                                * gaminr.51  
c     *        igg     meaning                                         * gaminr.52  
c     *        ---     -------                                         * gaminr.53  
c     *         0      none                                            * gaminr.54  
c     *         1      arbitrary structure (read in)                   * gaminr.55  
c     *         2      csewg 94-group structure                        * gaminr.56  
c     *         3      lanl 12-group structure                         * gaminr.57  
c     *         4      steiner 21-group gamma-ray structure            * gaminr.58  
c     *         5      straker 22-group structure                      * gaminr.59  
c     *         6      lanl 48-group structure                         * gaminr.60  
c     *         7      lanl 24-group structure                         * gaminr.61  
c     *         8      vitamin-c 36-group structure                    * gaminr.62  
c     *         9      vitamin-e 38-group structure                    * gaminr.63  
c     *                                                                * gaminr.64  
c     *        iwt     meaning                                         * gaminr.65  
c     *        ---     -------                                         * gaminr.66  
c     *         1      read in                                         * gaminr.67  
c     *         2      constant                                        * gaminr.68  
c     *         3      1/e + rolloffs                                  * gaminr.69  
c     *                                                                * gaminr.70  
c     ****************************************************************** gaminr.71  
                                                                          instr.66  
    <<errorr description                                                  instr.67  
c     ****************************************************************** errorr.5   
c     *                                                                * errorr.6   
c     * produce cross section covariances from error files in endf/b   * errorr.7   
c     * format                                                         * errorr.8   
c     *                                                                * errorr.9   
c     * first, the union energy grid of the users group structure      * errorr.10  
c     * and the endf covariance energies is determined.  the array     * errorr.11  
c     * of coefficients for derived cross sections is also constructed.* errorr.12  
c     * then multigroup cross sections are computed on the union       * errorr.13  
c     * grid (see grpav), or they are read from a multigroup cross     * errorr.14  
c     * section library and then collapsed to the union grid.  the     * errorr.15  
c     * methods of groupr are used for cross section averaging.  endf  * errorr.16  
c     * covariances and the group cross sections are then combined     * errorr.17  
c     * to get the basic covariance matrices (see covcal).  finally,   * errorr.18  
c     * the basic matrices are combined to get covariances for         * errorr.19  
c     * derived reactions, the matrices are collapsed to the user-s    * errorr.20  
c     * group structure, and the results are printed and/or written    * errorr.21  
c     * onto an output gendf tape for later use (see covout).          * errorr.22  
c     *                                                                * errorr.23  
                                                                          instr.69  
    <<errorr input                                                        instr.70  
c     *---input specifications (free format)---------------------------* errorr.24  
c     *                                                                * errorr.25  
c     *  card 1                                                        * errorr.26  
c     *    nendf   unit for endf/b tape                                * errorr.27  
c     *    npend   unit for pendf tape                                 * errorr.28  
c     *    ngout   unit for input group xsec (gendf) tape              * errorr.29  
c     *            (if zero, group xsecs will be calculated)           * errorr.30  
c     *            (if iread eq 2 or if mfcov eq 31 (see card 7),      * errorr.31  
c     *            ngout cannot be zero)                               * errorr.32  
c     *            (default=0)                                         * errorr.33  
c     *    nout    unit for output covariance tape (default=0)         * errorr.34  
c     *    nin     unit for input covariance tape (default=0)          * errorr.35  
c     *            (nin and nout must be both coded or both binary)    * errorr.36  
c     *    nstan   unit for ratio-to-standard tape (default=0)         * errorr.37  
c     *  card 2                                                        * errorr.38  
c     *    matd    material to be processed                            * errorr.39  
c     *    ign     neutron group option                                * errorr.40  
c     *            (ign definition same as groupr, except ign=19,      * errorr.41  
c     *            which means read in an energy grid, as in ign=1,    * errorr.42  
c     *            and supplement this with the endf covariance grid   * errorr.43  
c     *            within the range of the user-specified energies)    * errorr.44  
c     *            (default=1)                                         * errorr.45  
c     *    iprint  print option (0/1=minimum/maximum) (default=1)      * errorr.46  
c     *    irelco  covariance form (0/1=absolute/relative) (default=1) * errorr.47  
c     *  card 3    (omit if ngout.ne.0)                                * errorr.48  
c     *    iwt     weight function option                              * errorr.49  
c     *    mprint  print option for group averaging (0=min., 1=max.)   * errorr.50  
c     *    tempin  temperature (default=300)                           * errorr.51  
c     *                                                                * errorr.52  
c     *---for endf/b version 4 (iverf=4) only--------------------------* errorr.53  
c     *                                                                * errorr.54  
c     *  card 4                                                        * errorr.55  
c     *    nek     number of derived xsec energy ranges                * errorr.56  
c     *            (if zero, all xsecs are independent)                * errorr.57  
c     *  card 5    (omit if nek=0)                                     * errorr.58  
c     *    ek      nek+1 derived xsec energy bounds                    * errorr.59  
c     *  card 6    (omit if nek=0)                                     * errorr.60  
c     *    akxy    derived cross section coefficients, one row/line    * errorr.61  
c     *                                                                * errorr.62  
c     *---for endf/b version 5 (iverf=5) only--------------------------* errorr.63  
c     *                                                                * errorr.64  
c     *  card 7                                                        * errorr.65  
c     *    iread   0/1/2=program calculated mts/input mts and eks/     * errorr.66  
c     *            calculated mts plus extra mat1-mt1 pairs from input * errorr.67  
c     *            (default=0)                                         * errorr.68  
c     *    mfcov   endf covariance file (31, 32, or 33) to be          * errorr.69  
c     *            processed (default=33).                             * errorr.70  
c     *            note--contribution to group cross section           * errorr.71  
c     *            covariances from resonance-parameter uncertainties  * errorr.72  
c     *            (mf=32) is included when mfcov=33 is specified.     * errorr.73  
c     *                                                                * errorr.74  
c     *  following cards only if iread eq 1                            * errorr.75  
c     *  card 8                                                        * errorr.76  
c     *    nmt     no. mts to be processed                             * errorr.77  
c     *    nek     no. derived cross section energy ranges             * errorr.78  
c     *            (if zero, all xsecs are independent)                * errorr.79  
c     *  card 8a                                                       * errorr.80  
c     *    mts     nmt mts                                             * errorr.81  
c     *  card 8b   (omit if nek=0)                                     * errorr.82  
c     *    ek      nek+1 derived cross section energy bounds           * errorr.83  
c     *  card 9    (omit if nek=0)                                     * errorr.84  
c     *    akxy    derived cross section coefficients, one row/line    * errorr.85  
c     *                                                                * errorr.86  
c     *  following card only if iread eq 2                             * errorr.87  
c     *  card 10                                                       * errorr.88  
c     *    mat1    cross-material reaction to be added to              * errorr.89  
c     *    mt1         covariance reaction list.                       * errorr.90  
c     *            repeat for all mat1-mt1 pairs desired               * errorr.91  
c     *            terminate with mat1=0.                              * errorr.92  
c     *                                                                * errorr.93  
c     *  following card only if nstan ne 0                             * errorr.94  
c     *  card 11                                                       * errorr.95  
c     *    matb    standards reaction referenced                       * errorr.96  
c     *    mtb         in matd.                                        * errorr.97  
c     *    matc    standards reaction to be                            * errorr.98  
c     *    mtc         used instead.                                   * errorr.99  
c     *            repeat for all standard reactions to be redefined.  * errorr.100 
c     *            terminate with matb=0.                              * errorr.101 
c     *  note.  if matb(1) and mtb(1) are negative, then matc(1) and   * errorr.102 
c     *    mtc(1) identify a third reaction, correlated with matd thru * errorr.103 
c     *    the use of the same standard.  covariances of all reactions * errorr.104 
c     *    in matd (which reference the standard) with the reaction    * errorr.105 
c     *    matc(1)-mtc(1) will be produced.  the standard reaction     * errorr.106 
c     *    must be identified on card 10 and repeated as the negative  * errorr.107 
c     *    entries on card 11.  the group xsec tape ngout must include * errorr.108 
c     *    all covariance reactions in matd, plus matc(1)-mtc(1).      * errorr.109 
c     *----------------------------------------------------------------* errorr.110 
c     *                                                                * errorr.111 
c     *  card 12a (for ign eq 1 or ign eq 19)                          * errorr.112 
c     *    ngn     number of groups                                    * errorr.113 
c     *  card 12b                                                      * errorr.114 
c     *    egn     ngn+1 group bounds (ev)                             * errorr.115 
c     *  card 13 (for iwt eq 1 only)                                   * errorr.116 
c     *    wght    weight function as a tab1 record                    * errorr.117 
c     *                                                                * errorr.118 
c     ****************************************************************** errorr.119 
                                                                          instr.73  
    <<covr description                                                    instr.74  
c     ******************************************************************   covr.5   
c     *                                                                *   covr.6   
c     * plot covariance data from errorr or make a condensed library.  *   covr.7   
c     *                                                                *   covr.8   
c     * in the plot option, covr plots a matrix of correlation         *   covr.9   
c     * coefficients and an associated pair of standard deviation      *   covr.10  
c     * vectors,i.e.,a covariance matrix.  the correlation             *   covr.11  
c     * matrix is plotted as a shaded contour plot and the vectors     *   covr.12  
c     * are plotted as semi-log plots,one rotated by 90 degrees.       *   covr.13  
c     * the log energy grids for the vector plots are identical        *   covr.14  
c     * to the grids for the matrix plot.  this option employs the     *   covr.15  
c     * proprietary plotting software package disspla.                 *   covr.16  
c     *                                                                *   covr.17  
c     * in the library option, covr produces a condensed bcd           *   covr.18  
c     * covariance library in the boxer format.  this format is        *   covr.19  
c     * described in nureg/cp-0029 (conf-820321) p 655.  no disspla    *   covr.20  
c     * routines are called in this option.                            *   covr.21  
c     *                                                                *   covr.22  
                                                                          instr.76  
    <<covr input                                                          instr.77  
c     *---input specifications (free format)---------------------------*   covr.23  
c     *                                                                *   covr.24  
c     *  card 1                                                        *   covr.25  
c     *     nin            input tape unit                             *   covr.26  
c     *     nout           output tape unit                            *   covr.27  
c     *                    (default=0=none)                            *   covr.28  
c     *                                                                *   covr.29  
c     *   ---cards 2a and 3a for nout=0 (plot option) only---          *   covr.30  
c     *                                                                *   covr.31  
c     *  card 2a                                                       *   covr.32  
c     *     gapref         reference shading gap width                 *   covr.33  
c     *                    (default=.020)                              *   covr.34  
c     *     gap1           full-correlation shading gap width          *   covr.35  
c     *                    (default=.008)                              *   covr.36  
c     *     xgap           factor for negative correlation gap         *   covr.37  
c     *                    adjustment (default=1.75)                   *   covr.38  
c     *     epmin          lowest energy of interest (default=0.)      *   covr.39  
c     *     note.  the above defaults are activated by entering zeroes *   covr.40  
c     *     or just a slash.  a second set of defaults for gapref and  *   covr.41  
c     *     gap1 are activated by inputting a value of gapref greater  *   covr.42  
c     *     than 0.2.  in this case, the values used are 0.030*fact    *   covr.43  
c     *     and 0.016*fact, respectively, where fact is the input      *   covr.44  
c     *     value of gapref.                                           *   covr.45  
c     *  card 3a                                                       *   covr.46  
c     *     irelco         type of covariances present on nin          *   covr.47  
c     *                    0/1=absolute/relative covariances           *   covr.48  
c     *                    (default=1)                                 *   covr.49  
c     *     ncase          no. cases to be run (maximum=40)            *   covr.50  
c     *                    (default=1)                                 *   covr.51  
c     *     noleg          plot legend option                          *   covr.52  
c     *                    -1/0/1=legend for first subcase only/       *   covr.53  
c     *                    legend for all plots/no legends             *   covr.54  
c     *                    (default=0)                                 *   covr.55  
c     *     nstart         sequential figure number                    *   covr.56  
c     *                    0/n=not needed/first figure is figure n.    *   covr.57  
c     *                    (default=1)                                 *   covr.58  
c     *     ndiv           no. of subdivisions of each of the          *   covr.59  
c     *                    gray shades (default=1)                     *   covr.60  
c     *                                                                *   covr.61  
c     *   ---cards 2b, 3b, and 3c for nout gt 0 (library option) only--*   covr.62  
c     *                                                                *   covr.63  
c     *  card 2b                                                       *   covr.64  
c     *     matype         output library matrix option                *   covr.65  
c     *                    3/4=covariances/correlations                *   covr.66  
c     *                    (default=3)                                 *   covr.67  
c     *     ncase          no. cases to be run (maximum=40)            *   covr.68  
c     *                    (default=1)                                 *   covr.69  
c     *  card 3b                                                       *   covr.70  
c     *     hlibid         up to 6 characters for identification       *   covr.71  
c     *  card 3c                                                       *   covr.72  
c     *     hdescr         up to 21 characters of descriptive          *   covr.73  
c     *                    information                                 *   covr.74  
c     *                                                                *   covr.75  
c     *   ---cards 4 for both options---                               *   covr.76  
c     *                                                                *   covr.77  
c     *  card 4                                                        *   covr.78  
c     *     mat            desired mat number                          *   covr.79  
c     *     mt             desired mt number                           *   covr.80  
c     *     mat1           desired mat1 number                         *   covr.81  
c     *     mt1            desired mt1 number                          *   covr.82  
c     *                    (default for mt, mat1 and mt1 are 0,0,0     *   covr.83  
c     *                    meaning process all mts for this mat        *   covr.84  
c     *                    with mat1=mat)                              *   covr.85  
c     *                    (neg. values for mt, mat1, and mt1 mean     *   covr.86  
c     *                    process all mts for this mat, except for    *   covr.87  
c     *                    the mt-numbers -mt, -mat1, and -mt1.  in    *   covr.88  
c     *                    general, -n will strip both mt=1 and mt=n.  *   covr.89  
c     *                    -4 will strip mt=1, mt=3, and mt=4, and     *   covr.90  
c     *                    -62, for example, will strip mt=1, mt=62,   *   covr.91  
c     *                    mt=63, ... up to and incl. mt=90.)          *   covr.92  
c     *          repeat card 4 ncase times                             *   covr.93  
c     *                                                                *   covr.94  
c     * note---if more than one material appears on the input tape,    *   covr.95  
c     * the mat numbers must be in ascending order.                    *   covr.96  
c     *                                                                *   covr.97  
c     ******************************************************************   covr.98  
                                                                          instr.80  
    <<moder description                                                   instr.81  
c     ******************************************************************  moder.5   
c     *                                                                *  moder.6   
c     *  change the mode of an endf/b tape.                            *  moder.7   
c     *                                                                *  moder.8   
c     *  also works for pendf, gendf and covariance tapes.             *  moder.9   
c     *  moder can also be used to select materials from an endf-type  *  moder.10  
c     *  tape, or to merge several materials into a new tape.          *  moder.11  
                                                                          instr.83  
    <<moder input                                                         instr.84  
c     *                                                                *  moder.12  
c     *---input specifications (free format)---------------------------*  moder.13  
c     *                                                                *  moder.14  
c     * card 1       unit numbers                                      *  moder.15  
c     *      nin     input unit                                        *  moder.16  
c     *      nout    output unit                                       *  moder.17  
c     *                                                                *  moder.18  
c     *  a positive unit is coded (mode 3).                            *  moder.19  
c     *  a negative unit is blocked binary (njoy mode).                *  moder.20  
c     *                                                                *  moder.21  
c     *  note: abs(nin) ge 1 and le 19 is a flag to select various     *  moder.22  
c     *        materials from one or more input tapes, with or         *  moder.23  
c     *        without mode conversion.  the kind of data to be        *  moder.24  
c     *        processed is keyed to nin as follows:                   *  moder.25  
c     *             nin=1, for endf or pendf input and output,         *  moder.26  
c     *                 2, for gendf input and output,                 *  moder.27  
c     *                 3, for errorr-format input and output.         *  moder.28  
c     *                                                                *  moder.29  
c     *      cards 2 and 3 for abs (nin) ge 1 and le 19 only.          *  moder.30  
c     *                                                                *  moder.31  
c     * card 2                                                         *  moder.32  
c     *      tpid    tapeid for nout.  66 characters allowed           *  moder.33  
c     *              (delimited with *, ended with /)                  *  moder.34  
c     * card 3                                                         *  moder.35  
c     *      nin     input unit                                        *  moder.36  
c     *              terminate moder by setting nin=0                  *  moder.37  
c     *      matd    material on this tape to add to nout              *  moder.38  
c     ******************************************************************  moder.39  
                                                                          instr.87  
    <<dtfr description                                                    instr.88  
c     ******************************************************************   dtfr.5   
c     *                                                                *   dtfr.6   
c     * convert output of groupr to dtf format.                        *   dtfr.7   
c     *                                                                *   dtfr.8   
c     * processes neutron and gamma production cross sections and      *   dtfr.9   
c     * matrices.  the neutron tables can have reduced table length.   *   dtfr.10  
c     * up-scatter is allowed.  the absorption reaction is computed    *   dtfr.11  
c     * from the total cross section and total scattering.  any edits  *   dtfr.12  
c     * can be produced which are either given in the endf/b file      *   dtfr.13  
c     * or are linear combinations of endf/b cross sections.  the      *   dtfr.14  
c     * fission nu*sigf and chi are computed from the fission matrices *   dtfr.15  
c     * for all partial fission reactions.  chi includes source        *   dtfr.16  
c     * weighting.  the pl tables for l.gt.0 contain the pl weighted   *   dtfr.17  
c     * total in the total position and the pl transport cross section *   dtfr.18  
c     * in the absorption position.  the gamma tables have gamma group *   dtfr.19  
c     * 1 in position 1, 2 in position 2, etc, with a table length     *   dtfr.20  
c     * equal to the number of gamma groups.                           *   dtfr.21  
c     *                                                                *   dtfr.22  
c     *                                                                *   dtfr.23  
                                                                          instr.90  
    <<dtfr input                                                          instr.91  
c     *---input specifications (free format)---------------------------*   dtfr.24  
c     *                                                                *   dtfr.25  
c     * card 1       units                                             *   dtfr.26  
c     *    nin       input unit with data from groupr (binary).        *   dtfr.27  
c     *    nout      output unit containing dtf tables (coded).        *   dtfr.28  
c     *              (default=0=none)                                  *   dtfr.29  
c     *    npend     input unit with pendf tape for point plots.       *   dtfr.30  
c     *              (default=0=none)                                  *   dtfr.31  
c     * card 2       options                                           *   dtfr.32  
c     *    iprint    print control (0 minimum, 1 maximum)              *   dtfr.33  
c     *    ifilm     film control (0/1/2=no/yes with 1 plot per frame/ *   dtfr.34  
c     *              yes with 4 plots per frame (default=0)            *   dtfr.35  
c     *    iedit     edit control (0/1=in table/separate) (default=0)  *   dtfr.36  
c     *                                                                *   dtfr.37  
c     *       cards 3 through 5 only for iedit=0                       *   dtfr.38  
c     *                                                                *   dtfr.39  
c     * card 3       neutron tables                                    *   dtfr.40  
c     *    nlmax     number of neutron tables desired.                 *   dtfr.41  
c     *    ng        number of neutron groups                          *   dtfr.42  
c     *    iptotl    position of total cross section                   *   dtfr.43  
c     *    ipingp    position of in-group scattering cross section.    *   dtfr.44  
c     *    itabl     neutron table length desired.                     *   dtfr.45  
c     *    ned       number of entries in edit table (default=0).      *   dtfr.46  
c     *    ntherm    number of thermal groups (default=0).             *   dtfr.47  
c     *  card 3a only for ntherm ne 0                                  *   dtfr.48  
c     * card 3a      thermal incoherent and coherent mts               *   dtfr.49  
c     *    mti       mt for thermal incoherent data                    *   dtfr.50  
c     *    mtc       mt for thermal coherent data (default=0)          *   dtfr.51  
c     *    nlc       no. coherent legendre orders (default=0)          *   dtfr.52  
c     * card 4       edit names                                        *   dtfr.53  
c     *       six character hollerith names for edits for as many      *   dtfr.54  
c     *       cards as needed.  there will be iptotl-3 names read.     *   dtfr.55  
c     *       each name is delimited with *.                           *   dtfr.56  
c     * card 5       edit specifications                               *   dtfr.57  
c     *       ned triplets of numbers on as many cards as needed.      *   dtfr.58  
c     *       positions can appear more than once.                     *   dtfr.59  
c     *       reaction types can appear more than once.                *   dtfr.60  
c     *    jpos      position of edit quantity.                        *   dtfr.61  
c     *    mt        endf/b reaction number.                           *   dtfr.62  
c     *    mult      multiplicity to be used when adding this mt.      *   dtfr.63  
c     *                                                                *   dtfr.64  
c     *       card 6 for iedit=1                                       *   dtfr.65  
c     *                                                                *   dtfr.66  
c     * card 6       claw-format tables                                *   dtfr.67  
c     *    nlmax     number of neutron tables (def=5)                  *   dtfr.68  
c     *    ng        number of neutron groups (def=30)                 *   dtfr.69  
c     *              (number of thermal groups is zero)                *   dtfr.70  
c     *                                                                *   dtfr.71  
c     * card 7       gamma ray tables                                  *   dtfr.72  
c     *    nptabl    number of gamma tables desired (default=0)        *   dtfr.73  
c     *    ngp       number of gamma groups (default=0)                *   dtfr.74  
c     * card 8       material description                              *   dtfr.75  
c     *       one card for each table set desired.                     *   dtfr.76  
c     *       mat=0/ terminates execution of dtfr.                     *   dtfr.77  
c     *    hisnam    hollerith isotope name                            *   dtfr.78  
c     *    mat       material number as in endf/b (default=0)          *   dtfr.79  
c     *    jsigz     index number of sigma-zero desired (default=1)    *   dtfr.80  
c     *    dtemp     temperature desired (default=300)                 *   dtfr.81  
c     *                                                                *   dtfr.82  
c     ******************************************************************   dtfr.83  
                                                                          instr.94  
    <<ccccr description                                                   instr.95  
c     ******************************************************************  ccccr.5   
c     *                                                                *  ccccr.6   
c     *  produce cccc-iv files from njoy intermediate cross section    *  ccccr.7   
c     *  library                                                       *  ccccr.8   
c     *                                                                *  ccccr.9   
c     *  working from a groupr output tape, this module produces       *  ccccr.10  
c     *  the following three standard interface files,                 *  ccccr.11  
c     *                                                                *  ccccr.12  
c     *           isotxs       brkoxs       dlayxs,                    *  ccccr.13  
c     *                                                                *  ccccr.14  
c     *  as specified by the committee for computer code coordination  *  ccccr.15  
c     *  (cccc), to facilitate the exchange of nuclear data for reactor*  ccccr.16  
c     *  calculations (reference 1).                                   *  ccccr.17  
c     *      in a given run, all three files can be produced using the *  ccccr.18  
c     *  same user-specified list of isotopes.  the code will ignore   *  ccccr.19  
c     *  isotopes which are not present on the groupr tape (and in the *  ccccr.20  
c     *  case of dlayxs, isotopes without delayed neutron data).       *  ccccr.21  
c     *      the isotxs coding allows for nsblk equal to one or ngroup.*  ccccr.22  
c     *  in addition, files with higher order matrices can be produced *  ccccr.23  
c     *  with a separate block for each l-order (ifopt=2) or with all  *  ccccr.24  
c     *  orders in one block (ifopt=1).  this flexibility accommodates *  ccccr.25  
c     *  large group structures.  fission vectors or fission           *  ccccr.26  
c     *  matrices can be produced.                                     *  ccccr.27  
c     *      in brkoxs, the potential scattering cross section for all *  ccccr.28  
c     *  energy groups is equal to the user-input value (xspo).        *  ccccr.29  
c     * the elastic removal f-factor is supplied as the sixth reaction.*  ccccr.30  
c     *                                                                *  ccccr.31  
c     *  1. r.d.odell. standard interface files and procedures         *  ccccr.32  
c     *     for reactor physics codes, version iv,                     *  ccccr.33  
c     *     lanl report la-6941-ms (sept.77)                           *  ccccr.34  
c     *                                                                *  ccccr.35  
c     *                                                                *  ccccr.36  
                                                                          instr.97  
    <<ccccr input                                                         instr.98  
c     *---input specifications (free format)---------------------------*  ccccr.37  
c     *                                                                *  ccccr.38  
c     *-ccccr-                                                         *  ccccr.39  
c     * card 1 units                                                   *  ccccr.40  
c     *    nin      input unit for data from groupr                    *  ccccr.41  
c     *    nisot    output unit for isotxs (0 if isotxs not wanted)    *  ccccr.42  
c     *    nbrks    output unit for brkoxs (0 if brkoxs not wanted)    *  ccccr.43  
c     *    ndlay    output unit for dlayxs (0 if dlayxs not wanted)    *  ccccr.44  
c     * card 2 identification                                          *  ccccr.45  
c     *    lprint    print flag (0/1=not print/printed)                *  ccccr.46  
c     *    ivers     file version number (default=0)                   *  ccccr.47  
c     *    huse      user identification (12 characters)               *  ccccr.48  
c     *              delimited by *, ended by /.                       *  ccccr.49  
c     *              (default=blank)                                   *  ccccr.50  
c     * card 3                                                         *  ccccr.51  
c     *    hsetid    hollerith identification of set (12 characters)   *  ccccr.52  
c     *              delimited by *, ended by /.                       *  ccccr.53  
c     *              (default=blank)                                   *  ccccr.54  
c     * card 4 file control                                            *  ccccr.55  
c     *    ngroup    number of neutron energy groups                   *  ccccr.56  
c     *    nggrup    number of gamma energy groups                     *  ccccr.57  
c     *    niso      number of isotopes desire                         *  ccccr.58  
c     *    maxord    maximum legendre order                            *  ccccr.59  
c     *    ifopt     matrix blocking option (1/2=blocking by           *  ccccr.60  
c     *                               reaction/legendre order)         *  ccccr.61  
c     * card 5 isotope parameters (one card per isotope)               *  ccccr.62  
c     *       (first four words are hollerith, up to six characters    *  ccccr.63  
c     *       each, delimited by *)                                    *  ccccr.64  
c     *    hisnm     hollerith isotope label                           *  ccccr.65  
c     *    habsid    hollerith absolute isotope label                  *  ccccr.66  
c     *    hident    identifier of data source library (endf/b)        *  ccccr.67  
c     *    hmat      isotope identification                            *  ccccr.68  
c     *    imat      numerical isotope identifier (endf/b mat number)  *  ccccr.69  
c     *    xspo      average potential scattering cross sect. (brkoxs) *  ccccr.70  
c     *                                                                *  ccccr.71  
c     *-cisotx- (only if nisot.gt.0)                                   *  ccccr.72  
c     * card 1 file control                                            *  ccccr.73  
c     *    nsblok    subblocking option for scattering matrix          *  ccccr.74  
c     *              (1 or ngrup sub-blocks allowed)                   *  ccccr.75  
c     *    maxup     maximum number of upscatter groups (always zero)  *  ccccr.76  
c     *    maxdn     maximum number of downscatter groups              *  ccccr.77  
c     *    ichix     fission chi representation                        *  ccccr.78  
c     *                   -1   vector (using groupr flux)              *  ccccr.79  
c     *                    0   none                                    *  ccccr.80  
c     *                   +1   vector (using input flux)               *  ccccr.81  
c     *                .gt.1   matrix                                  *  ccccr.82  
c     * card 2 chi vector control (ichix=1 only)                       *  ccccr.83  
c     *    spec      ngroup flux values used to collapse the groupr    *  ccccr.84  
c     *              fission matrix into a chi vector                  *  ccccr.85  
c     * card 3 chi matrix control (ichix.gt.1 only)                    *  ccccr.86  
c     *    spec      ngroup values of spec(i)=k define the range of    *  ccccr.87  
c     *              groups i to be averaged to obtain spectrum k.     *  ccccr.88  
c     *              index k ranges from 1 to ichi.                    *  ccccr.89  
c     *              the model flux is used to weight each group i.    *  ccccr.90  
c     * card 4 isotope control (one card per isotope)                  *  ccccr.91  
c     *    kbr       isotope classification                            *  ccccr.92  
c     *    amass     gram atomic weight                                *  ccccr.93  
c     *    efiss     total thermal energy/fission                      *  ccccr.94  
c     *    ecapt     total thermal energy/capture                      *  ccccr.95  
c     *    temp      isotope temperature                               *  ccccr.96  
c     *    sigpot     average effective potential scattering           *  ccccr.97  
c     *    adens     density of isotope in mixture                     *  ccccr.98  
c     *                                                                *  ccccr.99  
c     *-cbrkxs- (only if nbrks.gt.0)                                   *  ccccr.100 
c     * card 1 (2i6) file data                                         *  ccccr.101 
c     *    nti       number of temperatures desired                    *  ccccr.102 
c     *              (-n means accept first n temperatures)            *  ccccr.103 
c     *    nzi       number of sigpo values desire                     *  ccccr.104 
c     *              (-n means accept first n dilution factors)        *  ccccr.105 
c     * card 2 (not needed if nti.lt.0)                                *  ccccr.106 
c     *    atem(nti) values of desired temperatures                    *  ccccr.107 
c     * card 3 (not needed if nzi.lt.0)                                *  ccccr.108 
c     *    asig(nzi) values of desired sigpo                           *  ccccr.109 
c     *                                                                *  ccccr.110 
c     *-cdlayx-- no input required                                     *  ccccr.111 
c     *                                                                *  ccccr.112 
c     ******************************************************************  ccccr.113 
                                                                          instr.101 
    <<matxsr description                                                  instr.102 
c     ****************************************************************** matxsr.5   
c     *                                                                * matxsr.6   
c     *  produce matxs interface file from njoy intermediate cross     * matxsr.7   
c     *  section data from group or gaminr                             * matxsr.8   
c     *                                                                * matxsr.9   
c     *  the matxs file uses a generalized, flexible format based on   * matxsr.10  
c     *  the cccc interface conventions.  working from groupr and/or   * matxsr.11  
c     *  gaminr output tapes, this module can process neutron,         * matxsr.12  
c     *  thermal, photon, and charged-particle data into a             * matxsr.13  
c     *  single output file.  this file can then be used by the        * matxsr.14  
c     *  transx code to prepare data libraries for transport codes.    * matxsr.15  
c     *                                                                  matxsr.16  
c     *  a matxs file specification may be found following the         * matxsr.17  
c     *  input instructions.                                           * matxsr.18  
c     *                                                                * matxsr.19  
c     *                                                                * matxsr.20  
                                                                          instr.104 
    <<matxsr input                                                        instr.105 
c     *---input specifications (free format)---------------------------* matxsr.21  
c     *                                                                * matxsr.22  
c     * card 1 units                                                   * matxsr.23  
c     *   ngen1     input unit for data from groupr                    * matxsr.24  
c     *   ngen2     input unit for data from gaminr                    * matxsr.25  
c     *   nmatx     output unit for matxs                              * matxsr.26  
c     *             (output unit is always binary)                     * matxsr.27  
c     *   ngen3     incident proton data from groupr (default=0)       * matxsr.28  
c     *   ngen4     incident deuteron data from groupr (default=0)     * matxsr.29  
c     *   ngen5     incident triton data from groupr (default=0)       * matxsr.30  
c     *   ngen6     incident he3 data from groupr (default=0)          * matxsr.31  
c     *   ngen7     incident alpha data from groupr (default=0)        * matxsr.32  
c     * card 2 user identification                                     * matxsr.33  
c     *   lprint    0/1 means no print/print                           * matxsr.34  
c     *   ivers     file version number (default=0)                    * matxsr.35  
c     *   huse      user id (up to 16 characters, delimited by *,      * matxsr.36  
c     *             ended by /) (default=blank)                        * matxsr.37  
c     * card 3 file control                                            * matxsr.38  
c     *   npart     number of particles for which group                * matxsr.39  
c     *                structures are given                            * matxsr.40  
c     *   ntype     number of data types in set                        * matxsr.41  
c     *   nholl     number of cards to be read for hollerith           * matxsr.42  
c     *             identification record.                             * matxsr.43  
c     *   nmat      number of materials desired                        * matxsr.44  
c     * card 4 set hollerith identification                            * matxsr.45  
c     *   hsetid    hollerith identification of set                    * matxsr.46  
c     *             (each line can be up to 72 characters,             * matxsr.47  
c     *             delimited with *, ended by /)                      * matxsr.48  
c     * card 5 particle identifiers                                    * matxsr.49  
c     *   hpart     hollerith identifiers for particles                * matxsr.50  
c     *             (up to 8 characters each)                          * matxsr.51  
c     * card 6 energy groups                                           * matxsr.52  
c     *   ngrp      number of groups for each particle                 * matxsr.53  
c     * card 7 data type identifiers                                   * matxsr.54  
c     *   htype     hollerith identifiers for data types               * matxsr.55  
c     *             (up to 8 characters each)                          * matxsr.56  
c     * card 8 input particle ids                                      * matxsr.57  
c     *   jinp     input particle id for each data type                * matxsr.58  
c     * card 9 output particle ids                                     * matxsr.59  
c     *   joutp    output particle id for each data type               * matxsr.60  
c     * card 10 material data (one card per material)                  * matxsr.61  
c     *   hmat      hollerith material identifier                      * matxsr.62  
c     *             (up to 8 characters each)                          * matxsr.63  
c     *   matno     integer material identifier                        * matxsr.64  
c     *             (endf/b mat number)                                * matxsr.65  
c     *   matgg     mat number for photoatomic data                    * matxsr.66  
c     *             (default=100*(matno/100) as in endf-6)             * matxsr.67  
c     *                                                                * matxsr.68  
c     ****************************************************************** matxsr.69  
                                                                          instr.108 
    <<resxsr description                                                  instr.109 
c     ****************************************************************** resxsr.5   
c     *                                                                * resxsr.6   
c     *  construct an resxs resonance cross section                    * resxsr.7   
c     *  file from njoy pendf cross sections.                          * resxsr.8   
c     *                                                                * resxsr.9   
                                                                          instr.111 
    <<resxsr input                                                        instr.112 
c     *  user input                                                    * resxsr.10  
c     *                                                                * resxsr.11  
c     *   card 1   units                                               * resxsr.12  
c     *      nout     output unit                                      * resxsr.13  
c     *                                                                * resxsr.14  
c     *   card 2   control                                             * resxsr.15  
c     *      nmat     number of materials                              * resxsr.16  
c     *      maxt     max. number of temperatures                      * resxsr.17  
c     *      nholl    number of lines of descriptive comments          * resxsr.18  
c     *      efirst   lower energy limit (ev)                          * resxsr.19  
c     *      elast    upper energy limit                               * resxsr.20  
c     *      eps      thinning tolerance                               * resxsr.21  
c     *                                                                * resxsr.22  
c     *   card 3   user id                                             * resxsr.23  
c     *      huse     hollerith user identification (up to 16 chars)   * resxsr.24  
c     *      ivers    file version number                              * resxsr.25  
c     *                                                                * resxsr.26  
c     *   card 4   descriptive data (repeat nholl times)               * resxsr.27  
c     *      holl     line of hollerith data (72 chars max)            * resxsr.28  
c     *                                                                * resxsr.29  
c     *   card 5   material specifications (repeat nmat times)         * resxsr.30  
c     *      hmat     hollerith name for material (up to 8 chars)      * resxsr.31  
c     *      mat      endf mat number for material                     * resxsr.32  
c     *      unit     njoy unit number for pendf data                  * resxsr.33  
c     *                                                                * resxsr.34  
c     *       the resxs format specification follows:                  * resxsr.35  
c     *                                                                * resxsr.36  
c*********************************************************************** resxsr.37  
                                                                          instr.115 
    <<acer description                                                    instr.116 
c     ******************************************************************   acer.5   
c     *                                                                *   acer.6   
c     * prepare a data library for mcnp,                               *   acer.7   
c     * the los alamos continuous energy monte carlo code              *   acer.8   
c     *                                                                *   acer.9   
c     *    --- continuous (fast) data ---                              *   acer.10  
c     *                                                                *   acer.11  
c     * reaction cross sections are reconstructed on the grid of the   *   acer.12  
c     * total cross section from the input pendf tape (assumed to be   *   acer.13  
c     * linearized and unionized).  redundant reactions (except for    *   acer.14  
c     * mt1, mt452, and reactions needed for photon yields) are        *   acer.15  
c     * removed.  mt18 is considered redundant if mt19 is present.     *   acer.16  
c     * angular distributions are converted into equal probability     *   acer.17  
c     * bins.  tabulated energy distributions are converted into       *   acer.18  
c     * "law 4" probability distributions.  analytic secondary energy  *   acer.19  
c     * distributions are converted into their ace formats.            *   acer.20  
c     * energy-angle distributions are converted to the "law 44"       *   acer.21  
c     * cummulative probability distributions form with parameters     *   acer.22  
c     * for kalbach systematics.  all photon production cross          *   acer.23  
c     * sections are combined on the cross section energy grid.        *   acer.24  
c     * if provided, multigroup photon production data is summed       *   acer.25  
c     * and converted into a set of equally probable emission          *   acer.26  
c     * energies for each input group.  detailed photon production     *   acer.27  
c     * data can be generated directly from files 12, 13, 14, 15,      *   acer.28  
c     * and 16 from the input endf tapes and written out using the     *   acer.29  
c     * "law 4" cummulative energy distribution format.                *   acer.30  
c     *                                                                *   acer.31  
c     *    --- thermal data ---                                        *   acer.32  
c     *                                                                *   acer.33  
c     * the data from the pendf tape as prepared by the thermr         *   acer.34  
c     * module is read in.  inelastic and incoherent elastic cross     *   acer.35  
c     * sections are stored directly.  coherent elastic cross          *   acer.36  
c     * sections are converted to a cummulative "stair step" form      *   acer.37  
c     * and stored.  the angular representation for incoherent         *   acer.38  
c     * elastic is stored directly.  none is needed for coherent       *   acer.39  
c     * elastic.  the incoherent inelastic energy distributions        *   acer.40  
c     * are converted into probability bins with the equally           *   acer.41  
c     * probable angles left unchanged.  the bins can have equal       *   acer.42  
c     * probabilities or variable probabilities.  in the latter        *   acer.43  
c     * case, outlying bins with smaller probabilities are provided    *   acer.44  
c     * to extend the sampling to rare events.                         *   acer.45  
c     *                                                                *   acer.46  
c     *    --- dosimetry data ---                                      *   acer.47  
c     *                                                                *   acer.48  
c     * endf cross sections for dosimetry reactions are simply         *   acer.49  
c     * stored in ace format without changing the energy grid.         *   acer.50  
c     * the endf interpolation law is also provided.                   *   acer.51  
c     *                                                                *   acer.52  
c     *    --- photoatomic data ---                                    *   acer.53  
c     *                                                                *   acer.54  
c     * photon interaction cross sections are stored on the grid of    *   acer.55  
c     * the total cross section.  the coherent form factor is          *   acer.56  
c     * stored together with an integral over the form factor that     *   acer.57  
c     * is used inb sampling for coherent scattering.  the             *   acer.58  
c     * incoherent scattering function is simply stored.  photon       *   acer.59  
c     * heating is calculated from the incoherent scattering data,     *   acer.60  
c     * the pair production data, and the photoelectric absorption     *   acer.61  
c     * data.  flourescence data.                                      *   acer.62  
c     *                                                                *   acer.63  
c     *    --- output ---                                              *   acer.64  
c     *                                                                *   acer.65  
c     * the ace output file can be type 1 (formatted), type 2          *   acer.66  
c     * (f77 binary), or type 3 (lanl binary).  a line of file         *   acer.67  
c     * directory information is also written.  it must normally       *   acer.68  
c     * be edited to tell the system the path to the file.  acer       *   acer.69  
c     * can also be used to print, edit, or convert the mode of        *   acer.70  
c     * existing ace-format files.                                     *   acer.71  
c     *                                                                *   acer.72  
                                                                          instr.118 
    <<acer input                                                          instr.119 
c     *---input specifications (free format)---------------------------*   acer.73  
c     *                                                                *   acer.74  
c     * card 1                                                         *   acer.75  
c     *    nendf    unit for input endf/b tape                         *   acer.76  
c     *    npend    unit for input pendf tape                          *   acer.77  
c     *    ngend    unit for input multigroup photon data              *   acer.78  
c     *    nace     unit for output ace tape                           *   acer.79  
c     *    ndir     unit for output mcnp directory                     *   acer.80  
c     * card 2                                                         *   acer.81  
c     *    iopt     type of acer run option                            *   acer.82  
c     *               1   fast data                                    *   acer.83  
c     *               2   thermal data                                 *   acer.84  
c     *               3   dosimetry data                               *   acer.85  
c     *               4   photo-atomic data                            *   acer.86  
c     *               7   read type 1 ace files to print or edit       *   acer.87  
c     *               8   read type 2 ace files to print or edit       *   acer.88  
c     *               9   read type 3 ace files to print or edit       *   acer.89  
c     *    iprint   print control (0 min, 1 max, default=1)            *   acer.90  
c     *    ntype    ace output type (1, 2, or 3, default=1)            *   acer.91  
c     *    suff     id suffix for zaid (default=.00)                   *   acer.92  
c     *    nxtra    number of iz,aw pairs to read in (default=0)       *   acer.93  
c     * card 3                                                         *   acer.94  
c     *    hk       descriptive character string (70 char max)         *   acer.95  
c     * card 4 (nxtra.gt.0 only)                                       *   acer.96  
c     *    iz,aw    nxtra pairs of iz and aw                           *   acer.97  
c     *                                                                *   acer.98  
c     *    --- fast data (iopt=1 only) ---                             *   acer.99  
c     *                                                                *   acer.100 
c     * card 5                                                         *   acer.101 
c     *    matd     material to be processed                           *   acer.102 
c     *    tempd    temperature desired (kelvin) (default=300)         *   acer.103 
c     * card 6                                                         *   acer.104 
c     *    err      tolerance for thinning distributions               *   acer.105 
c     *    iopp     detailed photons (0=no, 1=yes, default=1)          *   acer.106 
c     * card 7                                                         *   acer.107 
c     *  type of thinning is determined by sign of thin(1)             *   acer.108 
c     *  (pos. or zero/neg.=energy skip/integral fraction)             *   acer.109 
c     *  (all entries defaulted=no thinning)                           *   acer.110 
c     *    thin(1)  e1 energy below which to use all energies (ev)     *   acer.111 
c     *             or iwtt weighting option (1=flat,2=1/e)            *   acer.112 
c     *             (1/e actually has weight=10 when e lt .1)          *   acer.113 
c     *    thin(2)  e2 energy above which to use all energies          *   acer.114 
c     *             or target number of points                         *   acer.115 
c     *    thin(3)  iskf skip factor--use every iskf-th energy         *   acer.116 
c     *             between e1 and e2, or rsigz reference sigma zero   *   acer.117 
c     *                                                                *   acer.118 
c     *   --- thermal data (iopt=2 only) ---                           *   acer.119 
c     *                                                                *   acer.120 
c     * card 8                                                         *   acer.121 
c     *    matd     material to be processed                           *   acer.122 
c     *    tempd    temperature desired (kelvin) (default=300)         *   acer.123 
c     * card 9                                                         *   acer.124 
c     *    mti      mt for thermal incoherent data                     *   acer.125 
c     *    nbint    number of bins for incoherent scattering           *   acer.126 
c     *    mte      mt for thermal elastic data                        *   acer.127 
c     *    ielas    0/1=coherent/incoherent elastic                    *   acer.128 
c     *    nmix     number of atom types in mixed moderator            *   acer.129 
c     *             (default=1, not mixed)                             *   acer.130 
c     *             (example, 2 for beo or c6h6)                       *   acer.131 
c     *    emax     maximum energy for thermal treatment (ev)          *   acer.132 
c     *             (default=1000.=determined from mf3, mti)           *   acer.133 
c     *    iwt      weighting option                                   *   acer.134 
c     *             0/1=variable/constant (default=variable)           *   acer.135 
c     *                                                                *   acer.136 
c     *   --- dosimetry data (iopt=3 only) ---                         *   acer.137 
c     *                                                                *   acer.138 
c     * card 10                                                        *   acer.139 
c     *    matd     material to be processed                           *   acer.140 
c     *    tempd    temperature desired (kelvin) (default=300)         *   acer.141 
c     *                                                                *   acer.142 
c     *   --- photo-atomic data (iopt=4 only) ---                      *   acer.143 
c     *                                                                *   acer.144 
c     * card 11                                                        *   acer.145 
c     *    matd     material to be processed                           *   acer.146 
c     *                                                                *   acer.147 
c     *   --- print or edit existing files (iopt=7-9) ---              *   acer.148 
c     *                                                                *   acer.149 
c     *    no additional input cards are required.  mount the old      *   acer.150 
c     *    ace tape on "npend".  the code can modify zaid, hk,         *   acer.151 
c     *    the (iz,aw) list, and the type of the file.  use suff<0     *   acer.152 
c     *    to leave the old zaid unchanged.  use just "/" on           *   acer.153 
c     *    card 3 to leave the comment field hk unchanged.  use        *   acer.154 
c     *    nxtra=0 to leave the old iz,aw list unchanged.              *   acer.155 
c     *    the code can modify zaid, hk, and type of file.             *   acer.156 
c     *                                                                *   acer.157 
c     ******************************************************************   acer.158 
                                                                          instr.122 
    <<powr description                                                    instr.123 
c     ******************************************************************   powr.5   
c     *                                                                *   powr.6   
c     *  produce input for the epri-cell codes gamtap (fast) and       *   powr.7   
c     *  librar (thermal), and the epri-cpm code clib.                 *   powr.8   
c     *                                                                *   powr.9   
                                                                          instr.125 
    <<powr input                                                          instr.126 
c     *---input specifications (free format)---------------------------*   powr.10  
c     *                                                                *   powr.11  
c     * card 1                                                         *   powr.12  
c     *    ngendf  unit for input gout tape                            *   powr.13  
c     *    nout    unit for output tape                                *   powr.14  
c     * card 2                                                         *   powr.15  
c     *    lib     library option (1=fast, 2=thermal, 3=cpm)           *   powr.16  
c     *    iprint  print option (0=minimum, 1=maximum)                 *   powr.17  
c     *            (default=0)                                         *   powr.18  
c     *    iclaps  group collapsing option (0=collapse from 185 group  *   powr.19  
c     *            to desired group structure, 1=no collapse)          *   powr.20  
c     *            (default=0)                                         *   powr.21  
c     *                                                                *   powr.22  
c     *---for lib=1----------------------------------------------------*   powr.23  
c     *                                                                *   powr.24  
c     * card 3                                                         *   powr.25  
c     *    matd    material to be processed                            *   powr.26  
c     *            if matd lt 0, read-in absorption data only for      *   powr.27  
c     *            this material with mat=abs(matd) directly from      *   powr.28  
c     *            input deck (see card 6)                             *   powr.29  
c     *   following three parameters irrelevant for matd lt 0          *   powr.30  
c     *    rtemp   reference temperature (degrees kelvin)              *   powr.31  
c     *            (default=300  k)                                    *   powr.32  
c     *    iff     f-factor option                                     *   powr.33  
c     *            (0/1=do not calculate f-factors/calculate if found) *   powr.34  
c     *            (default=1)                                         *   powr.35  
c     *    nsgz    no. of sigma zeroes to process for this material    *   powr.36  
c     *            (default=0=all found on input tape)                 *   powr.37  
c     *    izref   ref. sigzero for elastic matrix (default=1)         *   powr.38  
c     * cards 4 and 5 for normal run only (matd gt 0)                  *   powr.39  
c     * card 4                                                         *   powr.40  
c     *    word    description of nuclide (up to 16 characters,        *   powr.41  
c     *            delimited with *, ended with /)  (default=blank)    *   powr.42  
c     * card 5                                                         *   powr.43  
c     *    fsn     title of fission spectrum (up to 40 characters,     *   powr.44  
c     *            delimited with *, ended with /0  (default=blank)    *   powr.45  
c     *             delimited with *, ended with /)  (default=blank)   *   powr.46  
c     * card 6 for reading in absorption data only                     *   powr.47  
c     *    abs     ngnd absorption values (default values=0)           *   powr.48  
c     * repeat cards 3 through 6 for each material desired.            *   powr.49  
c     * terminate with matd=0/ (i.e., a 0/ card).                      *   powr.50  
c     *                                                                *   powr.51  
c     *---for lib=2----------------------------------------------------*   powr.52  
c     *                                                                *   powr.53  
c     * card 3                                                         *   powr.54  
c     *    matd    material to be processed                            *   powr.55  
c     *    idtemp  temperature id (default=300  k)                     *   powr.56  
c     *    name    hollerith name of isotope (up to 10 characters,     *   powr.57  
c     *            delimited with *, ended with /)  (default=blank)    *   powr.58  
c     * card 4     default for all values=0.                           *   powr.59  
c     *    itrc    transport correction option (0 no, 1 yes)           *   powr.60  
c     *    mti     thermal inelastic mt                                *   powr.61  
c     *    mtc     thermal elastic mt                                  *   powr.62  
c     * card 5     default for all values=0.                           *   powr.63  
c     *    xi                                                          *   powr.64  
c     *    alpha                                                       *   powr.65  
c     *    mubar                                                       *   powr.66  
c     *    nu                                                          *   powr.67  
c     *    kappa fission                                               *   powr.68  
c     *    kappa capture                                               *   powr.69  
c     *    lambda                                                      *   powr.70  
c     *    sigma s   if 0, set to scattering cross section at group 35 *   powr.71  
c     * repeat cards 3 thru 5 for each material and temperature desired*   powr.72  
c     * (maximum number of temperatures allowed is 7.)                 *   powr.73  
c     * terminate with matd=0/ (i.e., a 0/ card).                      *   powr.74  
c     *                                                                *   powr.75  
c     *---for lib=3----------------------------------------------------*   powr.76  
c     *                                                                *   powr.77  
c     * card 3                                                         *   powr.78  
c     *    nlib    number of library.                                  *   powr.79  
c     *    idat    date library is written (i format).                 *   powr.80  
c     *    newmat  number of materials to be added.                    *   powr.81  
c     *    iopt    add option (0=mats will be read in,                 *   powr.82  
c     *                        1=use all mats found on ngendf).        *   powr.83  
c     *    mode    0/1/2=replace isotope(2) in cpmlib/                 *   powr.84  
c     *                   add/create a new library (default=0)         *   powr.85  
c     *    if5     file5 (burnup data) option                          *   powr.86  
c     *            0/1/2=do not process file5 burnup data/             *   powr.87  
c                        process burnup data along with rest of data/  *   powr.88  
c     *                   process burnup data only (default=0)         *   powr.89  
c     *            (default=0)                                         *   powr.90  
c     *    if4     file4 (cross section data) option                   *   powr.91  
c     *            0/1=do not process/process                          *   powr.92  
c     *            (default=1)                                         *   powr.93  
c     * card 4 for iopt=0 only                                         *   powr.94  
c     *    mat     endf mat number of all desired materials.           *   powr.95  
c     *            for materials not on gendf tape, use ident for mat. *   powr.96  
c     *            if mat lt 0, add 100 to output ident                *   powr.97  
c     *            (for second isomer of an isotope)                   *   powr.98  
c     * card 5                                                         *   powr.99  
c     *    nina    nina indicator.                                     *   powr.100 
c     *            0/1/2/3=normal/                                     *   powr.101 
c     *                  no file2 data, calculate absorption in file4/ *   powr.102 
c     *                  no file2 data, read in absorption in file4/   *   powr.103 
c     *                  read in all file2 and file4 data.             *   powr.104 
c     *    ntemp   no. of temperatures to process for this material    *   powr.105 
c     *            (default=0=all found on input tape)                 *   powr.106 
c     *    nsigz   no. of sigma zeroes to process for this material    *   powr.107 
c     *            (default=0=all found on input tape)                 *   powr.108 
c     *    sgref   reference sigma zero                                *   powr.109 
c     *    following 2 parameters are for nina=0 or nina=3.            *   powr.110 
c     *    ires    resonance absorber indicator (0/1=no/yes)           *   powr.111 
c     *    sigp    potential cross section from endf/b.                *   powr.112 
c     *    following 5 parameters are for ntapea=0 only                *   powr.113 
c     *    mti     thermal inelastic mt                                *   powr.114 
c     *    mtc     thermal elastic mt                                  *   powr.115 
c     *    ip1opt  0/1=calculate p1 matrices/                          *   powr.116 
c     *                correct p0 scattering matrix ingroups.          *   powr.117 
c     *  ******if a p1 matrix is calculated for one of the isotopes    *   powr.118 
c     *        having a p1 matrix on the old library, file 6 on the    *   powr.119 
c     *        new library will be completely replaced.******          *   powr.120 
c     *    inorf   0/1=include resonance fission if found/             *   powr.121 
c     *                do not include                                  *   powr.122 
c     *    following two parameters for mode=0 only                    *   powr.123 
c     *    pos     position of this isotope in cpmlib                  *   powr.124 
c     *    posr    (for ires=1) position of this isotope in resonance  *   powr.125 
c     *            tabulation in cpmlib                                *   powr.126 
c     *  repeat card 5 for each nuclide.                               *   powr.127 
c     * following three cards are for if5 gt 0 only                    *   powr.128 
c     * card 6                                                         *   powr.129 
c     *    ntis    no. time-dependent isotopes                         *   powr.130 
c     *    nfis    no. fissionable burnup isotopes                     *   powr.131 
c     * card 7                                                         *   powr.132 
c     *    identb  ident of each of the nfis isotopes                  *   powr.133 
c     * card 8                                                         *   powr.134 
c     *    identa  ident of time-dependent isotope                     *   powr.135 
c     *    decay   decay constant (default=0.)                         *   powr.136 
c     *    yield   nfis yields (default=0.)                            *   powr.137 
c     *  repeat card 8 for each of the ntis isotopes.                  *   powr.138 
c     * card 9 for if5=2 only                                          *   powr.139 
c     *    aw      atomic weight                                       *   powr.140 
c     *    indfis  fission indicator                                   *   powr.141 
c     *    ntemp   no. temperatures on old library                     *   powr.142 
c     *  repeat card 9 for each of the ntis isotopes.                  *   powr.143 
c     * card 10                                                        *   powr.144 
c     *    lambda  resonance group goldstein lambdas                   *   powr.145 
c     *  ******remember that the 69-group structure has 13 resonance   *   powr.146 
c     *        groups while the collapsed 185-group structure has 15.  *   powr.147 
c     *        use a slash at end of each line of card 10 input.****** *   powr.148 
c     *  repeat card 10 for each nuclide having nina=0, nina=3, or     *   powr.149 
c     *                     ires=1.                                    *   powr.150 
c     * cards 11 and 11a for nuclides having nina=3 only.              *   powr.151 
c     * card 11                                                        *   powr.152 
c     *    resnu    nrg nus values to go with the lambda values        *   powr.153 
c     * card 11a                                                       *   powr.154 
c     *    tot      nrg total xsec values to go with the lambda values *   powr.155 
c     *  read cards 11 and 11a for each nuclide having nina=3.         *   powr.156 
c     * cards 12 for nina gt 2 only                                    *   powr.157 
c     *    aw      atomic weight                                       *   powr.158 
c     *    temp    temperature                                         *   powr.159 
c     *    fpa     ngnd absorption values (default=0.)                 *   powr.160 
c     * cards 12a, 12b, 12c for nuclides having nina=3 only.           *   powr.161 
c     * card 12a                                                       *   powr.162 
c     *    nus      ngnd nus values                                    *   powr.163 
c     *    fis      ngnd fission values                                *   powr.164 
c     *    xtr      ngnd transport values                              *   powr.165 
c     * card 12b                                                       *   powr.166 
c     *    ia       group.  0 means no scattering from this group      *   powr.167 
c     *    l1       lowest group to which scattering occurs            *   powr.168 
c     *    l2       highest group to which scattering occurs           *   powr.169 
c     * card 12c  for ia gt 0 only                                     *   powr.170 
c     *    scat     l2-l1+1 scattering values                          *   powr.171 
c     *  repeat card 12b and 12c for each group                        *   powr.172 
c     * repeat cards 12 for each of the nina gt 2 nuclides             *   powr.173 
c     *                                                                *   powr.174 
c     ******************************************************************   powr.175 
                                                                          instr.129 
    <<wimsr description                                                   instr.130 
c     ******************************************************************  wimsr.5   
c     *                                                                *  wimsr.6   
c     * format multigroup cross sections from groupr for wims          *  wimsr.7   
c     *                                                                *  wimsr.8   
                                                                          instr.132 
    <<wimsr input                                                         instr.133 
c     *---input specifications (free format)---------------------------*  wimsr.9   
c     *                                                                *  wimsr.10  
c     * card 1                                                         *  wimsr.11  
c     *    ngendf  unit for input gendf tape                           *  wimsr.12  
c     *    nout    unit for output wims tape                           *  wimsr.13  
c     * card 2                                                         *  wimsr.14  
c     *    iprint  print option                                        *  wimsr.15  
c     *               0=minimum (default)                              *  wimsr.16  
c     *               1=regular                                        *  wimsr.17  
c     *               2=1+intermediate results                         *  wimsr.18  
c     *    iverw   wims version                                        *  wimsr.19  
c     *               4=wims-d (default)                               *  wimsr.20  
c     *               5=wims-e                                         *  wimsr.21  
c     * card 3                                                         *  wimsr.22  
c     *    newmat  number of materials to be added.                    *  wimsr.23  
c     *               at present, newmat must be 1.                    *  wimsr.24  
c     *    iopt    add option                                          *  wimsr.25  
c     *               0=mats will be read in (default)                 *  wimsr.26  
c     *               1=use all mats found on ngendf                   *  wimsr.27  
c     *    iburn   burnup data option                                  *  wimsr.28  
c     *               0=do not process burnup data                     *  wimsr.29  
c     *               1=process burnup data along with rest of data    *  wimsr.30  
c     *               2=process burnup data only                       *  wimsr.31  
c     *    ixs     cross section data option                           *  wimsr.32  
c     *               0=do not process                                 *  wimsr.33  
c     *               1=process (default)                              *  wimsr.34  
c     * card 4 and 4a for iopt=0 only                                  *  wimsr.35  
c     *    mat     endf mat number of all desired materials.           *  wimsr.36  
c     *            if mat lt 0, add 100 to output ident                *  wimsr.37  
c     *            (for second isomer of an isotope)                   *  wimsr.38  
c     * card 4a                                                        *  wimsr.39  
c     *    iatnum  atomic numbers of all desired materials             *  wimsr.40  
c     *                                                                *  wimsr.41  
c     * card 5                                                         *  wimsr.42  
c     *    ntemp   no. of temperatures to process for this material    *  wimsr.43  
c     *               (default=0=all found on input tape)              *  wimsr.44  
c     *    nsigz   no. of sigma zeroes to process for this material    *  wimsr.45  
c     *               (default=0=all found on input tape)              *  wimsr.46  
c     *    sgref   reference sigma zero                                *  wimsr.47  
c     *    ires    resonance absorber indicator (0=no,1=yes)           *  wimsr.48  
c     *    sigp    potential cross section from endf/b.                *  wimsr.49  
c     *    mti     thermal inelastic mt (default=0=none)               *  wimsr.50  
c     *    mtc     thermal elastic mt (default=0=none)                 *  wimsr.51  
c     *    ip1opt  include p1 matrices                                 *  wimsr.52  
c     *               0=yes                                            *  wimsr.53  
c     *               1=no, correct p0 ingroups (default)              *  wimsr.54  
c     *    inorf   resonance fission (if found)                        *  wimsr.55  
c     *               0=include resonance fission (default)            *  wimsr.56  
c     *               1=do not include                                 *  wimsr.57  
c     *    isof    fission spectrum                                    *  wimsr.58  
c     *               0=do not include fission spectrum (default)      *  wimsr.59  
c     *               1=include fission spectrum                       *  wimsr.60  
c     *    ifprod  fission product flag                                *  wimsr.61  
c     *               0=not a fission product (default)                *  wimsr.62  
c     *               1=fission product, no resonance tables           *  wimsr.63  
c     *               2=fission product, resonance tables              *  wimsr.64  
c     *  repeat card 5 for each nuclide.                               *  wimsr.65  
c     *                                                                *  wimsr.66  
c     * following three cards are for iburn gt 0 only                  *  wimsr.67  
c     * card 6                                                         *  wimsr.68  
c     *    ntis    no. time-dependent isotopes                         *  wimsr.69  
c     *    nfis    no. fissionable burnup isotopes                     *  wimsr.70  
c     * card 7                                                         *  wimsr.71  
c     *    identb  ident of each of the nfis isotopes                  *  wimsr.72  
c     * card 8                                                         *  wimsr.73  
c     *    identa  ident of time-dependent isotope                     *  wimsr.74  
c     *    decay   decay constant (default=0.)                         *  wimsr.75  
c     *    yield   nfis yields (default=0.)                            *  wimsr.76  
c     *  repeat card 8 for each of the ntis isotopes.                  *  wimsr.77  
c     * card 9 for iburn=2 only                                        *  wimsr.78  
c     *    aw      atomic weight                                       *  wimsr.79  
c     *    indfis  fission indicator                                   *  wimsr.80  
c     *    ntemp   no. temperatures on old library                     *  wimsr.81  
c     *  repeat card 9 for each of the ntis isotopes.                  *  wimsr.82  
c     *                                                                *  wimsr.83  
c     * card 10                                                        *  wimsr.84  
c     *    lambda  resonance group goldstein lambdas                   *  wimsr.85  
c     *        use a slash at end of each line of card 10 input.       *  wimsr.86  
c     *  repeat card 10 for each nuclide having ires=1                 *  wimsr.87  
c     *                                                                *  wimsr.88  
      end                                                                 wimsr.2651
                                                                          instr.136 
    <<plotr description                                                   instr.137 
c     ******************************************************************  plotr.5   
c     *                                                                *  plotr.6   
c     * plot cross sections                                            *  plotr.7   
c     *                                                                *  plotr.8   
c     * handles endf/b data, pendf or gendf data at specified temper-  *  plotr.9   
c     * atures, or experimental input data.  several plots can be      *  plotr.10  
c     * given on each set of axes, with both left and right scales.    *  plotr.11  
c     * also, several graphs can be given on each page or display.     *  plotr.12  
c     * error bars may be included for input data.  flexible titles    *  plotr.13  
c     * and legend blocks are allowed.  all standard combinations of   *  plotr.14  
c     * log and linear axes are supported, either grids or tick marks  *  plotr.15  
c     * can be requested, and scales can be chosen automatically       *  plotr.16  
c     * or set by the user.  in some cases, the x axis is thinned.     *  plotr.17  
c     * in other cases, extra points are added so that, for example,   *  plotr.18  
c     * linear-linear data plots correctly on a log-log graph.         *  plotr.19  
c     * a limited capability for 3-d plots of angle and energy         *  plotr.20  
c     * is included, and the endf-vi file 6 format is supported.       *  plotr.21  
c     *                                                                *  plotr.22  
                                                                          instr.139 
    <<plotr input                                                         instr.140 
c     *---input--------------------------------------------------------*  plotr.23  
c     *                                                                *  plotr.24  
c     *          ----------------------------------------              *  plotr.25  
c     *          style triggers for titles and labels are              *  plotr.26  
c     *                    > = upper-case standard                     *  plotr.27  
c     *                    < = lower-case standard                     *  plotr.28  
c     *                    ? = upper-case greek                        *  plotr.29  
c     *                    # = lower-case greek                        *  plotr.30  
c     *                    + = instructions                            *  plotr.31  
c     *          ----------------------------------------              *  plotr.32  
c     *                                                                *  plotr.33  
c     *  card 1                                                        *  plotr.34  
c     *     xpage,ypage   page size for display (default=10x8)         *  plotr.35  
c     *     istyle        character syle (def=1)                       *  plotr.36  
c     *                     1 = simplex                                *  plotr.37  
c     *                     2 = duplex                                 *  plotr.38  
c     *                     3 = complex                                *  plotr.39  
c     *                     4 = swissm                                 *  plotr.40  
c     *     size          character size option                        *  plotr.41  
c     *                     pos = height in page units                 *  plotr.42  
c     *                     neg = height as fraction of subplot size   *  plotr.43  
c     *                                                                *  plotr.44  
c     * -----repeat cards 2 through 12 for each curve-----             *  plotr.45  
c     *                                                                *  plotr.46  
c     *  card 2                                                        *  plotr.47  
c     *     iplot         plot index                                   *  plotr.48  
c     *                     99 = terminate plotting job                *  plotr.49  
c     *                      1 = new axes, new page                    *  plotr.50  
c     *                     -1 = new axes, existing page               *  plotr.51  
c     *                      n = nth additional plot on existing axes  *  plotr.52  
c     *                     -n = start a new set of curves using       *  plotr.53  
c     *                          the alternate y axis                  *  plotr.54  
c     *                     default = 1                                *  plotr.55  
c     *     factx         factor for energies (default=1.)             *  plotr.56  
c     *     facty         factor for cross-sections (default=1.)       *  plotr.57  
c     *     xll,yll       lower-left corner of plot area               *  plotr.58  
c     *     xur,yur       upper-right corner of plot area              *  plotr.59  
c     *                   (plot area defaults to one plot per page)    *  plotr.60  
c     *                                                                *  plotr.61  
c     * -----cards 3 thru 7 for iplot = 1 or -1 only-----              *  plotr.62  
c     *                                                                *  plotr.63  
c     *  card 3                                                        *  plotr.64  
c     *     t1            first line of title                          *  plotr.65  
c     *                   60 characters allowed.                       *  plotr.66  
c     *                   default=blank                                *  plotr.67  
c     *                                                                *  plotr.68  
c     *  card 3a                                                       *  plotr.69  
c     *     t2            second line of title                         *  plotr.70  
c     *                   60 characters allowed.                       *  plotr.71  
c     *                   default=blank                                *  plotr.72  
c     *                                                                *  plotr.73  
c     *  card 4                                                        *  plotr.74  
c     *     itype         type for primary axes                        *  plotr.75  
c     *                     1 = linear x - linear y                    *  plotr.76  
c     *                     2 = linear x - log y                       *  plotr.77  
c     *                     3 = log x - linear y                       *  plotr.78  
c     *                     4 = log x - log y                          *  plotr.79  
c     *                     set negative for 3d axes                   *  plotr.80  
c     *                     default=4                                  *  plotr.81  
c     *     jtype         type for alternate y axis or z axis          *  plotr.82  
c     *                     0 = none                                   *  plotr.83  
c     *                     1 = linear                                 *  plotr.84  
c     *                     2 = log                                    *  plotr.85  
c     *                     default=0                                  *  plotr.86  
c     *     igrid         grid and tic mark control                    *  plotr.87  
c     *                     0 = no grid lines or tic marks             *  plotr.88  
c     *                     1 = grid lines                             *  plotr.89  
c     *                     2 = tic marks on outside                   *  plotr.90  
c     *                     3 = tic marks on inside                    *  plotr.91  
c     *                     default=2                                  *  plotr.92  
c     *     ileg          option to write a legend.                    *  plotr.93  
c     *                     0 = none                                   *  plotr.94  
c     *                     1 = write a legend block with upper left   *  plotr.95  
c     *                         corner at xtag,ytag (see below)        *  plotr.96  
c     *                     2 = use tag labels on each curve with      *  plotr.97  
c     *                         a vector from the tag to the curve     *  plotr.98  
c     *                     default=0                                  *  plotr.99  
c     *     xtag          x coordinate of upper left corner            *  plotr.100 
c     *                   of legend block                              *  plotr.101 
c     *     ytag          y coord of upper left corner                 *  plotr.102 
c     *                   default=upper left corner of plot            *  plotr.103 
c     *                                                                *  plotr.104 
c     *  card 5                                                        *  plotr.105 
c     *     el            lowest energy to be plotted                  *  plotr.106 
c     *     eh            highest energy to be plotted                 *  plotr.107 
c     *     xstep         x axis step                                  *  plotr.108 
c     *                   default = automatic scales                   *  plotr.109 
c     *                   (default all 3, or none)                     *  plotr.110 
c     *                   (the actual value of xstep is                *  plotr.111 
c     *                       ignored for log scales)                  *  plotr.112 
c     *                                                                *  plotr.113 
c     *  card 5a                                                       *  plotr.114 
c     *     xlabl         label for x axis                             *  plotr.115 
c     *                   60 characters allowed.                       *  plotr.116 
c     *                    default="energy (ev)"                       *  plotr.117 
c     *                                                                *  plotr.118 
c     *  card 6                                                        *  plotr.119 
c     *     yl            lowest value of y axis.                      *  plotr.120 
c     *     yh            highest value of y axis.                     *  plotr.121 
c     *     ystep         step for y ayis (linear scales only)         *  plotr.122 
c     *                   default = automatic scales                   *  plotr.123 
c     *                   (default all 3, or none)                     *  plotr.124 
c     *                   (the actual value of ystep is                *  plotr.125 
c     *                       ignored for log scales)                  *  plotr.126 
c     *                                                                *  plotr.127 
c     *  card 6a                                                       *  plotr.128 
c     *     ylabl         label for y axis                             *  plotr.129 
c     *                   60 characters allowed.                       *  plotr.130 
c     *                    default="cross section (barns)"             *  plotr.131 
c     *                                                                *  plotr.132 
c     *  card 7   (jtype.gt.0 only)                                    *  plotr.133 
c     *     rbot          lowest value of secondary y axis or z axis   *  plotr.134 
c     *     rtop          highest value of secondary y axis or z axis  *  plotr.135 
c     *     rstep         step for secondary y axis or z axis          *  plotr.136 
c     *                   default for last three = automatic           *  plotr.137 
c     *                                                                *  plotr.138 
c     *  card 7a  (jtype.gt.0 only)                                    *  plotr.139 
c     *     rl            label for alternate y axis or z axis         *  plotr.140 
c     *                   60 characters allowed.                       *  plotr.141 
c     *                   default=blank                                *  plotr.142 
c     *                                                                *  plotr.143 
c     *  -----cards 8 thru 9 are always given-----                     *  plotr.144 
c     *                                                                *  plotr.145 
c     *  card 8                                                        *  plotr.146 
c     *     iverf         version of endf tape                         *  plotr.147 
c     *                     set to zero for data on input file         *  plotr.148 
c     *                       and ignore rest of parameters on card    *  plotr.149 
c     *                     set to 1 for gendf data                    *  plotr.150 
c     *     nin           input tape                                   *  plotr.151 
c     *                   can change for every curve if desired.       *  plotr.152 
c     *     matd          desired material                             *  plotr.153 
c     *     mfd           desired file                                 *  plotr.154 
c     *     mtd           desired section                              *  plotr.155 
c     *     temper        temperature for endf/b data (k)              *  plotr.156 
c     *                   default=0.                                   *  plotr.157 
c     *     nth,ntp,nkh   see below (defaults=1)                       *  plotr.158 
c     *                                                                *  plotr.159 
c     *       special meanings for nth,ntp,nkh for file 3 or 5 data    *  plotr.160 
c     *            nth   number of subsection to plot                  *  plotr.161 
c     *              (works for isomer prod, delayed n, etc.)          *  plotr.162 
c     *            ntp   not used                                      *  plotr.163 
c     *            nkh   not used                                      *  plotr.164 
c     *                                                                *  plotr.165 
c     *       special meanings for nth,ntp,nkh for file 6 data         *  plotr.166 
c     *            nth   index for  incident energy                    *  plotr.167 
c     *            ntp   number of dep. variable in cyle to plot       *  plotr.168 
c     *                  (or angle number for law 7)                   *  plotr.169 
c     *            nkh   number of outgoing particle to plot           *  plotr.170 
c     *                                                                *  plotr.171 
c     *       special meanings for nth,ntp,nkh for gendf mf=3 data     *  plotr.172 
c     *            nth=0 for flux per unit lethargy                    *  plotr.173 
c     *            nth=1 for cross section (default)                   *  plotr.174 
c     *            ntp=1 for infinite dilution (default)               *  plotr.175 
c     *            ntp=2 for next lowest sigma-zero values, etc.       *  plotr.176 
c     *            nkh=1 for p0 weighting (default)                    *  plotr.177 
c     *            nkh=2 for p1 weighting (total only)                 *  plotr.178 
c     *                                                                *  plotr.179 
c     * -----cards 9 and 10 for 2d plots only-----                     *  plotr.180 
c     *                                                                *  plotr.181 
c     *  card 9                                                        *  plotr.182 
c     *     icon          symbol and connection option                 *  plotr.183 
c     *                     0 = points connected, no symbols           *  plotr.184 
c     *                    -i = points not connected, symbol at every  *  plotr.185 
c     *                         ith point                              *  plotr.186 
c     *                     i = points connected, symbol at every ith  *  plotr.187 
c     *                         points                                 *  plotr.188 
c     *                     default=0                                  *  plotr.189 
c     *     isym          no. of symbol to be used                     *  plotr.190 
c     *                     0 = square                                 *  plotr.191 
c     *                     1 = octagon                                *  plotr.192 
c     *                     2 = triangle                               *  plotr.193 
c     *                     3 = cross                                  *  plotr.194 
c     *                     4 = ex                                     *  plotr.195 
c     *                     5 = diamond                                *  plotr.196 
c     *                     6 = inverted triangle                      *  plotr.197 
c     *                     7 = exed square                            *  plotr.198 
c     *                     8 = crossed ex                             *  plotr.199 
c     *                     9 = crossed diamond                        *  plotr.200 
c     *                     10 = crossed octagon                       *  plotr.201 
c     *                     11 = double triangle                       *  plotr.202 
c     *                     12 = crossed square                        *  plotr.203 
c     *                     13 = exed octagon                          *  plotr.204 
c     *                     14 = triangle and square                   *  plotr.205 
c     *                     15 = filled circle                         *  plotr.206 
c     *                     16 = open circle                           *  plotr.207 
c     *                     17 = open square                           *  plotr.208 
c     *                     18 = filled square                         *  plotr.209 
c     *                     default=0                                  *  plotr.210 
c     *     idash         type of line to plot                         *  plotr.211 
c     *                     0 = solid                                  *  plotr.212 
c     *                     1 = dashed                                 *  plotr.213 
c     *                     2 = chain dash                             *  plotr.214 
c     *                     3 = chain dot                              *  plotr.215 
c     *                     4 = dot                                    *  plotr.216 
c     *                     default=0                                  *  plotr.217 
c     *     ithick        no. of times to redraw curve                 *  plotr.218 
c     *                   default=0.                                   *  plotr.219 
c     *                                                                *  plotr.220 
c     *  card 10  ---ileg.ne.0 only---                                 *  plotr.221 
c     *     aleg          title for curve tag or legend block          *  plotr.222 
c     *                   60 characters allowed.                       *  plotr.223 
c     *                   default=blank                                *  plotr.224 
c     *                                                                *  plotr.225 
c     *  card 10a  ---ileg.eq.2 only---                                *  plotr.226 
c     *     xtag          x position of tag title                      *  plotr.227 
c     *     ytag          y position of tag title                      *  plotr.228 
c     *     xpoint        x coordinate of vector point                 *  plotr.229 
c     *                    (.le.0 to omit vector)                      *  plotr.230 
c     *                                                                *  plotr.231 
c     * -----card 11 for 3d plots only-----                            *  plotr.232 
c     *                                                                *  plotr.233 
c     *  card 11                                                       *  plotr.234 
c     *     xv,yv,zv      abs. coords of view point                    *  plotr.235 
c     *                   defaults=5.,2.,2.                            *  plotr.236 
c     *     x3,y3,z3      abs. sides of work box volume                *  plotr.237 
c     *                   defaults=5.,2.,2.                            *  plotr.238 
c     *                                                                *  plotr.239 
c     *          set y3 negative to flip the order of the axis on      *  plotr.240 
c     *          that side of the box (secondary energy).              *  plotr.241 
c     *                                                                *  plotr.242 
c     *  -----cards 12 thru 13 for nin = 0 only-----                   *  plotr.243 
c     *                                                                *  plotr.244 
c     *  card 11                                                       *  plotr.245 
c     *     nform          format code for input data                  *  plotr.246 
c     *                    0 = free format input with                  *  plotr.247 
c     *                    optional x and y error bars                 *  plotr.248 
c     *                                                                *  plotr.249 
c     *  card 12   ---nform = 0 only---                                *  plotr.250 
c     *     xdata          dependent value                             *  plotr.251 
c     *                    terminate with xdata negative               *  plotr.252 
c     *     ydata          independent value                           *  plotr.253 
c     *     yerr1          lower y error limit                         *  plotr.254 
c     *                    no y error bar if zero                      *  plotr.255 
c     *     yerr2          upper y error limit                         *  plotr.256 
c     *                    if zero, equals yerr1                       *  plotr.257 
c     *     xerr1          x left error limit                          *  plotr.258 
c     *                    no x error bar if zero                      *  plotr.259 
c     *     xerr2          x right error limit                         *  plotr.260 
c     *                    if zero, equals xerr1                       *  plotr.261 
c     *                                                                *  plotr.262 
c     *                                                                *  plotr.263 
c     * all curves contain at least 10 points per decade (see delta).  *  plotr.264 
c     * code can plot curves containing fewer than 2000 points (see    *  plotr.265 
c     * max) without thinning.  curves with more points are thinned    *  plotr.266 
c     * based on a minimum spacing determined from max and the         *  plotr.267 
c     * length of the x axis.                                          *  plotr.268 
c     *                                                                *  plotr.269 
c     ******************************************************************  plotr.270 
                                                                          instr.143 
    <<mixr description                                                    instr.144 
c     ******************************************************************   mixr.5   
c     *                                                                *   mixr.6   
c     *  mixr                                                          *   mixr.7   
c     *                                                                *   mixr.8   
c     *  construct a new pendf tape with a specified set of            *   mixr.9   
c     *  reactions that are specified linear combinations of the       *   mixr.10  
c     *  cross sections from the input tapes.  mixr can also be        *   mixr.11  
c     *  used for endf tapes, but the input interpolation laws         *   mixr.12  
c     *  are ignored.  this module can be used to construct mixed      *   mixr.13  
c     *  reactions for plotting (for example, elemental cross          *   mixr.14  
c     *  sections).  the output file contains files 1 and 3 only.      *   mixr.15  
c     *  linear-linear interpolation is assumed.                       *   mixr.16  
c     *                                                                *   mixr.17  
                                                                          instr.146 
    <<mixr input                                                          instr.147 
c     *  user input --                                                 *   mixr.18  
c     *                                                                *   mixr.19  
c     *  card 1  --  units                                             *   mixr.20  
c     *     nout      output unit for mixed cross sections             *   mixr.21  
c     *     nin1      first input unit (endf or pendf)                 *   mixr.22  
c     *     nin2      second input unit                                *   mixr.23  
c     *      ...       continue for nnin<=10 input units               *   mixr.24  
c     *                                                                *   mixr.25  
c     *  card 2  --  reaction list                                     *   mixr.26  
c     *      mtn       list of nmt<=20 mt numbers for                  *   mixr.27  
c     *                   the output reactions                         *   mixr.28  
c     *                                                                *   mixr.29  
c     *  card 3  --  material list                                     *   mixr.30  
c     *     matn,     list of nmat<=10 pairs (matn,wtn) of mat         *   mixr.31  
c     *      wtn       numbers and associated weight factors           *   mixr.32  
c     *                                                                *   mixr.33  
c     *  card 4  --  temperature                                       *   mixr.34  
c     *     temp      temperature (use zero except for pendf tapes)    *   mixr.35  
c     *                                                                *   mixr.36  
c     *  card 5  --  output material                                   *   mixr.37  
c     *     matd      material number                                  *   mixr.38  
c     *     za        za value                                         *   mixr.39  
c     *     awr       awr value                                        *   mixr.40  
c     *                                                                *   mixr.41  
c     *  card 6  --  file 1 comment card                               *   mixr.42  
c     *     des      description (60 char max)                         *   mixr.43  
c     *                                                                *   mixr.44  
c     ******************************************************************   mixr.45  
                                                                          instr.150 
    <<purr description                                                    instr.151 
c     ******************************************************************   purr.5   
c     *                                                                *   purr.6   
c     * probabalistic unresolved calculation                           *   purr.7   
c     * bondarenko moments and probability tables                      *   purr.8   
c     *                                                                *   purr.9   
c     ******************************************************************   purr.10  
c     *                                                                *   purr.11  
c     *  experimental probability table method                         *   purr.12  
c     *                                                                *   purr.13  
                                                                          instr.153 
    <<purr input                                                          instr.154 
c     *---input data cards---------------------------------------------*   purr.14  
c     *                                                                *   purr.15  
c     * card 1                                                         *   purr.16  
c     *   nendf   unit for endf/b tape                                 *   purr.17  
c     *   nin     unit for input pendf tape                            *   purr.18  
c     *   nout    unit for output pendf tape                           *   purr.19  
c     *   nace    unit for output ace tape                             *   purr.20  
c     * card 2                                                         *   purr.21  
c     *   matd    material to be processed                             *   purr.22  
c     *           matd=0 terminates purr                               *   purr.23  
c     *   ntemp   no. of temperatures                                  *   purr.24  
c     *   nsigz   no. of sigma zeroes                                  *   purr.25  
c     *   nbin    no. of probability bins                              *   purr.26  
c     *   nladr   no. of resonance ladders                             *   purr.27  
c     *   iprint  print option (0=min, 1=max, def=1)                   *   purr.28  
c     *   nunx    no. of energy points desired (def=0=all)             *   purr.29  
c     * card 3                                                         *   purr.30  
c     *   temp    temperatures in kelvin (including zero)              *   purr.31  
c     * card 4                                                         *   purr.32  
c     *   sigz    sigma zero values (including infinity)               *   purr.33  
c     *                                                                *   purr.34  
      end                                                                  purr.1983
